<?php
/* setup page */
define("PAGE_NAME", t("captcha_page_name", "Captcha Confirmation Required"));
define("PAGE_DESCRIPTION", t("captcha_meta_description", "Captcha confirmation required"));
define("PAGE_KEYWORDS", t("captcha_meta_keywords", "captcha,confirmation,required"));
require_once('_header.php');
?>

<div class="searchBoxWrapper">

<?php
if (isErrors())
{
    echo outputErrors();
}
?>

	<!-- captcha output -->
	<form method="POST" action="index.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>" autocomplete="off">
	<div class="shortUrlResult" style="margin-bottom: 0px; padding: 0px;">
		<div style="padding: 14px;">
			<div style="float: right;">
				<?php
				echo recaptcha_get_html(SITE_CONFIG_CAPTCHA_PUBLIC_KEY);
				?>
				<div class="clear"><!-- --></div>
			</div>
			<div style="text-align:left;">
				<?php echo t("captcha_confirmation", "Captcha Confirmation"); ?>
			</div>
			<div style="font-size: 12px; text-align:left; padding-top: 14px;">
				<?php echo t("in_order_to_prevent_abuse_captcha_intro", "In order to prevent abuse of this service, please copy the words into the text box on the right."); ?>
			</div>
			<div style="font-size: 12px; text-align:left; padding-top: 14px;">
				<input name="submit" type="submit" value="continue >"/>
				<input type="hidden" name="longUrl" value="<?php echo htmlentities($longUrl); ?>"/>
				<input type="hidden" name="agreeTerms" value="<?php echo htmlentities($agreeTerms); ?>"/>
				<input type="hidden" name="isPrivate" value="<?php echo htmlentities($isPrivate); ?>"/>
				<input type="hidden" name="password" value="<?php echo htmlentities($password); ?>"/>
				<input type="hidden" name="expiryDate" value="<?php echo htmlentities($expiryDate); ?>"/>
				<input type="hidden" name="totalUses" value="<?php echo htmlentities($totalUses); ?>"/>
				<input type="hidden" name="customUrl" value="<?php echo htmlentities($customUrl); ?>"/>
				<input type="hidden" name="submitted" value="1"/>
			</div>
			<div class="clear"><!-- --></div>
		</div>
		<div class="clear"><!-- --></div>
	</div>
	<div class="clear"><!-- --></div>
	</form>
</div>

<?php
require_once('_footer.php');
?>