INSERT INTO site_config VALUES (NULL, 'enable_api_auth', 'yes', 'Whether the API can only be used by registered accounts. i.e. an API key is mandatory', '[\"yes\", \"no\"]', 'select', 'API');
UPDATE site_config SET config_group='API' WHERE config_key='enable_api';

ALTER TABLE `users` ADD `apikey` VARCHAR( 32 ) NOT NULL;

UPDATE `language_key` SET `defaultContent` = 'Our API allows you to provide short url functionality to any of your existing websites.<br/><br/><strong>Url Only</strong><br/>To generate a url via the API, send a POST or GET request to the site in the following format:<br/><br/>- %%SITE_URL%%/index.php?api=1&return_url_text=1%%API_URL%%&longUrl=<strong>{URL}</strong><br/><br/>This site will then generate the short url and return it as plain text. i.e:<br/><br/>- %%SITE_URL%%/a1<br/><br/><strong>Generate &amp; Redirect</strong><br/>If you remove the return_url_text param the user will be redirected to the results page on this site instead of just the url text being returned.<br/><br/><strong>Extra Params:</strong><br/>You can also set extra information on each short url, the supported params are:<br/><br/>customUrl => Custom short url.<br/>shortUrlPassword => Password to access the url.<br/>shortUrlExpiryDate => Expiry date in the formay DD-MM-YYYY HH:II:SS.<br/>shortUrlUses => Total permitted uses before expiring.<br/>postToTwitter => Set to 1 to auto redirect to Twitter.<br/><br/>NOTE: Any url requests via the API are subject to our normal spam protection measures and hence there may be limits to the amount of short urls that can be generated in any period.' WHERE languageKey = 'api_popup_content';

DELETE FROM language_content WHERE languageKeyId IN (SELECT id FROM language_key WHERE languageKey = 'api_popup_content');

ALTER TABLE `users` ADD `passwordResetHash` VARCHAR( 32 ) NOT NULL;

