<?php
/* setup includes */
require_once('includes/master.inc.php');

/* setup page */
define("PAGE_NAME", SITE_CONFIG_SITE_NAME);
define("PAGE_DESCRIPTION", t("framed_redirect_meta_description"));
define("PAGE_KEYWORDS", t("framed_redirect_meta_keywords"));

/* we expect to receive a param on this page, it not, throw an error */
$shortUrlObj = shortUrl::loadByID($u);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title><?php echo PAGE_NAME; ?> - <?php echo SITE_CONFIG_SITE_NAME; ?></title>
        <meta name="description" content="<?php echo PAGE_DESCRIPTION; ?>" />
        <meta name="keywords" content="<?php echo PAGE_KEYWORDS; ?>" />
        <meta name="copyright" content="Copyright &copy; <?php echo date("Y"); ?> - <?php echo SITE_CONFIG_SITE_NAME; ?>">
            <meta name="robots" content="all">
                <meta http-equiv="Cache-Control" content="no-cache" />
                <meta http-equiv="Expires" content="-1" />
                <meta http-equiv="Pragma" content="no-cache" />
                <link rel="stylesheet" href="<?php echo SITE_CSS_PATH; ?>/screen.css" type="text/css" media="screen" title="Screen" charset="utf-8" />
                </head>
                <frameset cols="100%" frameborder="0">
                    <frameset rows="<?php echo SITE_CONFIG_TOP_IFRAME_HEIGHT; ?>, *">
                        <frame src="framedRedirectTop.php?url=<?php echo $shortUrlObj->shortUrlUID; ?>" class="framedRedirectTopFrame" noresize>
                            <frame src="<?php echo $shortUrlObj->fullUrl; ?>" noresize>
                                </frameset>
                                <noframes>
<?php echo t("browser_no_frame_support"); ?>
                                </noframes>
                                </frameset>
                                </html>

