/*
Navicat MySQL Data Transfer

Source Server         : home
Source Server Version : 50149
Source Host           : home:3306
Source Database       : ps_shorturl

Target Server Type    : MYSQL
Target Server Version : 50149
File Encoding         : 65001

Date: 2011-06-23 12:45:44
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for `banned_ips`
-- ----------------------------
DROP TABLE IF EXISTS `banned_ips`;
CREATE TABLE `banned_ips` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ipAddress` varchar(30) NOT NULL,
  `dateBanned` datetime NOT NULL,
  `banType` varchar(30) NOT NULL,
  `banNotes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of banned_ips
-- ----------------------------

-- ----------------------------
-- Table structure for `banned_words`
-- ----------------------------
DROP TABLE IF EXISTS `banned_words`;
CREATE TABLE `banned_words` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bannedTerm` varchar(100) NOT NULL,
  `dateBanned` datetime NOT NULL,
  `banNotes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of banned_words
-- ----------------------------

-- ----------------------------
-- Table structure for `language`
-- ----------------------------
DROP TABLE IF EXISTS `language`;
CREATE TABLE `language` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `languageName` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of language
-- ----------------------------
INSERT INTO language VALUES ('1', 'English (en)');

-- ----------------------------
-- Table structure for `language_content`
-- ----------------------------
DROP TABLE IF EXISTS `language_content`;
CREATE TABLE `language_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `languageKeyId` varchar(150) NOT NULL,
  `languageId` int(11) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=485 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of language_content
-- ----------------------------
INSERT INTO language_content VALUES ('9', '1', '1', 'home');
INSERT INTO language_content VALUES ('2', '2', '1', 'manage short urls');
INSERT INTO language_content VALUES ('3', '3', '1', 'banned words / urls');
INSERT INTO language_content VALUES ('4', '4', '1', 'admin users');
INSERT INTO language_content VALUES ('5', '5', '1', 'banned ips');
INSERT INTO language_content VALUES ('6', '6', '1', 'site settings');
INSERT INTO language_content VALUES ('7', '7', '1', 'languages');
INSERT INTO language_content VALUES ('8', '8', '1', 'logout');
INSERT INTO language_content VALUES ('18', '9', '1', 'Language Details');
INSERT INTO language_content VALUES ('20', '10', '1', 'Are you sure you want to remove this IP ban?');
INSERT INTO language_content VALUES ('21', '11', '1', 'Are you sure you want to update the status of this user?');
INSERT INTO language_content VALUES ('22', '12', '1', 'view');
INSERT INTO language_content VALUES ('23', '13', '1', 'disable');
INSERT INTO language_content VALUES ('24', '14', '1', 'enable');
INSERT INTO language_content VALUES ('25', '15', '1', 'Are you sure you want to remove this banned word?');
INSERT INTO language_content VALUES ('26', '16', '1', 'IP address appears to be invalid, please try again.');
INSERT INTO language_content VALUES ('27', '17', '1', 'IP address is already in the blocked list.');
INSERT INTO language_content VALUES ('28', '18', '1', 'There was a problem inserting/updating the record, please try again later.');
INSERT INTO language_content VALUES ('29', '19', '1', 'Banned word is already in the list.');
INSERT INTO language_content VALUES ('30', '20', '1', 'Language already in the system.');
INSERT INTO language_content VALUES ('31', '21', '1', 'Username must be between 6-16 characters long.');
INSERT INTO language_content VALUES ('32', '22', '1', 'Password must be between 6-16 characters long.');
INSERT INTO language_content VALUES ('33', '23', '1', 'Please enter the firstname.');
INSERT INTO language_content VALUES ('34', '24', '1', 'Please enter the lastname.');
INSERT INTO language_content VALUES ('35', '25', '1', 'Please enter the email address.');
INSERT INTO language_content VALUES ('36', '26', '1', 'The email address you entered appears to be invalid.');
INSERT INTO language_content VALUES ('37', '27', '1', 'Copyright');
INSERT INTO language_content VALUES ('38', '28', '1', 'Support');
INSERT INTO language_content VALUES ('39', '30', '1', 'Admin Panel');
INSERT INTO language_content VALUES ('40', '31', '1', 'Logged in as');
INSERT INTO language_content VALUES ('41', '32', '1', 'To ban an IP Address <a href=\"#\" onClick=\"displayBannedIpPopup(); return false;\">click here</a> or delete any existing ones below:');
INSERT INTO language_content VALUES ('42', '33', '1', 'Add banned IP address');
INSERT INTO language_content VALUES ('43', '34', '1', 'remove');
INSERT INTO language_content VALUES ('44', '35', '1', 'IP Address');
INSERT INTO language_content VALUES ('45', '36', '1', 'Ban From');
INSERT INTO language_content VALUES ('46', '37', '1', 'Notes');
INSERT INTO language_content VALUES ('47', '38', '1', 'Add Banned IP');
INSERT INTO language_content VALUES ('48', '39', '1', 'There was an error submitting the form, please try again later.');
INSERT INTO language_content VALUES ('49', '40', '1', 'Enter IP Address details');
INSERT INTO language_content VALUES ('50', '41', '1', 'To ban an word within the original url <a href=\"#\" onClick=\"displayBannedWordsPopup(); return false;\">click here</a> or delete any existing ones below:');
INSERT INTO language_content VALUES ('51', '42', '1', 'Add banned word');
INSERT INTO language_content VALUES ('52', '43', '1', 'Banned Word');
INSERT INTO language_content VALUES ('53', '44', '1', 'Date Banned');
INSERT INTO language_content VALUES ('54', '45', '1', 'Ban Notes');
INSERT INTO language_content VALUES ('55', '46', '1', 'Action');
INSERT INTO language_content VALUES ('56', '47', '1', 'Enter Banned Word details');
INSERT INTO language_content VALUES ('57', '48', '1', 'Use the main navigation above to manage this site. A quick overview of the site can be seen below:');
INSERT INTO language_content VALUES ('58', '49', '1', 'New Short Urls (last 14 days)');
INSERT INTO language_content VALUES ('59', '50', '1', 'New Short Urls (last 12 months)');
INSERT INTO language_content VALUES ('60', '51', '1', 'Urls');
INSERT INTO language_content VALUES ('61', '52', '1', 'active');
INSERT INTO language_content VALUES ('62', '53', '1', 'disabled');
INSERT INTO language_content VALUES ('63', '54', '1', 'spam');
INSERT INTO language_content VALUES ('64', '55', '1', 'expired');
INSERT INTO language_content VALUES ('65', '56', '1', 'Total active urls:');
INSERT INTO language_content VALUES ('66', '57', '1', 'Total disabled urls:');
INSERT INTO language_content VALUES ('67', '58', '1', 'Total visits to all short urls:');
INSERT INTO language_content VALUES ('68', '59', '1', 'Item Name');
INSERT INTO language_content VALUES ('69', '60', '1', 'Value');
INSERT INTO language_content VALUES ('70', '61', '1', 'Manage the available content for the selected language. Click on any of the \'Translated Content\' cells to edit the value.');
INSERT INTO language_content VALUES ('71', '62', '1', 'Select a language to manage or <a href=\'#\' onClick=\'displayAddLanguagePopup(); return false;\'>add a new one here</a>. NOTE: Once translated, to set the site default language go to the <a href=\'settings.php\'>site settings</a> area.');
INSERT INTO language_content VALUES ('72', '63', '1', 'Language Key');
INSERT INTO language_content VALUES ('73', '64', '1', 'Default Content');
INSERT INTO language_content VALUES ('74', '65', '1', 'Translated Content');
INSERT INTO language_content VALUES ('75', '66', '1', 'Error: Changes to this section can not be made within demo mode.');
INSERT INTO language_content VALUES ('76', '67', '1', 'Manage other languages');
INSERT INTO language_content VALUES ('77', '68', '1', 'There is no available content.');
INSERT INTO language_content VALUES ('78', '69', '1', 'select language');
INSERT INTO language_content VALUES ('79', '70', '1', 'Add Language');
INSERT INTO language_content VALUES ('80', '71', '1', 'Language Name');
INSERT INTO language_content VALUES ('81', '72', '1', 'Click on any of the items within the \"Config Value\" column below to edit:');
INSERT INTO language_content VALUES ('82', '73', '1', 'Group');
INSERT INTO language_content VALUES ('83', '74', '1', 'Config Description');
INSERT INTO language_content VALUES ('84', '75', '1', 'Config Value');
INSERT INTO language_content VALUES ('85', '76', '1', 'Filter results:');
INSERT INTO language_content VALUES ('86', '77', '1', 'Double click on any of the users below to edit the account information or <a href=\"#\" onClick=\"displayUserPopup(); return false;\">click here to add a new user</a>:');
INSERT INTO language_content VALUES ('87', '78', '1', 'Add new user');
INSERT INTO language_content VALUES ('88', '79', '1', 'Username');
INSERT INTO language_content VALUES ('89', '80', '1', 'Email Address');
INSERT INTO language_content VALUES ('90', '81', '1', 'Account Type');
INSERT INTO language_content VALUES ('91', '82', '1', 'Last Login');
INSERT INTO language_content VALUES ('92', '83', '1', 'Account Status');
INSERT INTO language_content VALUES ('93', '84', '1', 'Password');
INSERT INTO language_content VALUES ('94', '85', '1', 'Title');
INSERT INTO language_content VALUES ('95', '86', '1', 'Firstname');
INSERT INTO language_content VALUES ('96', '87', '1', 'Lastname');
INSERT INTO language_content VALUES ('97', '88', '1', 'Enter user details');
INSERT INTO language_content VALUES ('98', '89', '1', 'Create Short Url');
INSERT INTO language_content VALUES ('99', '90', '1', 'Terms &amp; Conditions');
INSERT INTO language_content VALUES ('100', '91', '1', 'Report Abuse');
INSERT INTO language_content VALUES ('101', '92', '1', 'Created By');
INSERT INTO language_content VALUES ('102', '93', '1', 'Please agree the terms and conditions.');
INSERT INTO language_content VALUES ('103', '94', '1', 'You are not permitted to create a short url on this site.');
INSERT INTO language_content VALUES ('104', '95', '1', 'There was an error with the url you supplied, please check and try again.');
INSERT INTO language_content VALUES ('105', '96', '1', 'You can not create a shorturl on this site.');
INSERT INTO language_content VALUES ('106', '97', '1', 'The date you entered is incorrect.');
INSERT INTO language_content VALUES ('107', '98', '1', 'That custom short url already exists, please try another.');
INSERT INTO language_content VALUES ('108', '99', '1', 'There was a problem creating the short url, please try again later.');
INSERT INTO language_content VALUES ('109', '100', '1', 'This url is access restricted, please enter the password below:');
INSERT INTO language_content VALUES ('110', '101', '1', 'Access Restricted');
INSERT INTO language_content VALUES ('111', '102', '1', 'Please enter the password to access the url.');
INSERT INTO language_content VALUES ('112', '103', '1', 'password, short, url, smal, link, access, restricted, mfscripts.com');
INSERT INTO language_content VALUES ('113', '104', '1', 'Redirecting to url, please wait...');
INSERT INTO language_content VALUES ('114', '105', '1', 'Redirecting to url, please wait...');
INSERT INTO language_content VALUES ('115', '106', '1', 'redirecting, short, url, delayed, redirect, mfscripts.com');
INSERT INTO language_content VALUES ('116', '107', '1', 'Redirecting to');
INSERT INTO language_content VALUES ('117', '108', '1', 'please wait');
INSERT INTO language_content VALUES ('118', '109', '1', 'There was a general site error, please try again later.');
INSERT INTO language_content VALUES ('119', '110', '1', 'Error');
INSERT INTO language_content VALUES ('120', '111', '1', 'Error');
INSERT INTO language_content VALUES ('121', '112', '1', 'An error occurred');
INSERT INTO language_content VALUES ('122', '113', '1', 'error, tiny, url, script, occurred, mfscripts.com');
INSERT INTO language_content VALUES ('123', '114', '1', 'Go to short url');
INSERT INTO language_content VALUES ('124', '115', '1', 'short, url, link, href, redirect, tinyurl, forwarder, mfscripts.com');
INSERT INTO language_content VALUES ('125', '116', '1', 'Your browser does not support frames and can not view this short url.');
INSERT INTO language_content VALUES ('126', '117', '1', 'Create short url');
INSERT INTO language_content VALUES ('127', '118', '1', 'Create short urls from your longer website urls. No registration required. Completely free to use.');
INSERT INTO language_content VALUES ('128', '119', '1', 'shorturl, short, url, tiny, href, link, path, twitter, post, facebook, longurl, mfscripts.com');
INSERT INTO language_content VALUES ('129', '120', '1', 'Agree terms');
INSERT INTO language_content VALUES ('130', '121', '1', 'Enter your long url');
INSERT INTO language_content VALUES ('131', '122', '1', 'Custom Url:');
INSERT INTO language_content VALUES ('132', '123', '1', 'set a custom short url');
INSERT INTO language_content VALUES ('133', '124', '1', 'Password:');
INSERT INTO language_content VALUES ('134', '125', '1', 'set a password to access the link');
INSERT INTO language_content VALUES ('135', '126', '1', 'Expiry Date:');
INSERT INTO language_content VALUES ('136', '127', '1', 'set an expiry date for the url');
INSERT INTO language_content VALUES ('137', '128', '1', 'Total uses:');
INSERT INTO language_content VALUES ('138', '129', '1', 'choose total short url click-throughs before expiring');
INSERT INTO language_content VALUES ('139', '130', '1', 'Unlimited');
INSERT INTO language_content VALUES ('140', '131', '1', 'Add To Bookmarks');
INSERT INTO language_content VALUES ('145', '133', '1', 'Drag this link to your browsers bookmark toolbar so you can instantly create a short url and post it to your twitter account. If your browser does not allow you to drag bookmarks to the toolbar, try right-clicking the icon and selecting |Add To Favorites...|');
INSERT INTO language_content VALUES ('144', '132', '1', 'Drag this link to your browsers bookmark toolbar so you can instantly create a short url for any site. If your browser does not allow you to drag bookmarks to the toolbar, try right-clicking the icon and selecting |Add To Favorites...|');
INSERT INTO language_content VALUES ('143', '134', '1', 'Post On Twitter');
INSERT INTO language_content VALUES ('146', '135', '1', 'Report short url');
INSERT INTO language_content VALUES ('147', '136', '1', 'Use this page to report any urls in breach of our terms and conditions');
INSERT INTO language_content VALUES ('148', '137', '1', 'report, short, urls, breach, terms, conditions, mfscripts.com');
INSERT INTO language_content VALUES ('149', '138', '1', 'Please use the form below to report any urls which breach our terms and conditions:');
INSERT INTO language_content VALUES ('150', '139', '1', 'Problem Url:');
INSERT INTO language_content VALUES ('151', '140', '1', 'submit report');
INSERT INTO language_content VALUES ('152', '141', '1', 'This short url is no longer active');
INSERT INTO language_content VALUES ('153', '142', '1', 'This short url has reached it\'s usage limit.');
INSERT INTO language_content VALUES ('154', '143', '1', 'This short url has expired.');
INSERT INTO language_content VALUES ('155', '144', '1', 'Your password is incorrect, please try again.');
INSERT INTO language_content VALUES ('156', '145', '1', 'No valid url found, please try again later.');
INSERT INTO language_content VALUES ('157', '146', '1', 'API');
INSERT INTO language_content VALUES ('158', '147', '1', 'Our API allows you to provide short url functionality to any of your existing websites.<br/><br/><strong>Url Only</strong><br/>To generate a url via the API, send a POST or GET request to the site in the following format:<br/><br/>- %%SITE_URL%%/index.php?api=1&return_url_text=1&longUrl=<strong>{URL}</strong><br/><br/>This site will then generate the short url and return it as plain text. i.e:<br/><br/>- %%SITE_URL%%/a1<br/><br/><strong>Generate &amp; Redirect</strong><br/>If you remove the return_url_text param the user will be redirected to the results page on this site instead of just the url text being returned.<br/><br/><strong>Extra Params:</strong><br/>You can also set extra information on each short url, the supported params are:<br/><br/>customUrl => Custom short url.<br/>shortUrlPassword => Password to access the url.<br/>shortUrlExpiryDate => Expiry date in the formay DD-MM-YYYY HH:II:SS.<br/>shortUrlUses => Total permitted uses before expiring.<br/>postToTwitter => Set to 1 to auto redirect to Twitter.<br/><br/>NOTE: Any url requests via the API are subject to our normal spam protection measures and hence there may be limits to the amount of short urls that can be generated in any period.');
INSERT INTO language_content VALUES ('159', '148', '1', 'Url Stats:');
INSERT INTO language_content VALUES ('160', '149', '1', 'For short url statistics, add an exclamation onto the end of the url');
INSERT INTO language_content VALUES ('161', '150', '1', 'Short Url Stats');
INSERT INTO language_content VALUES ('162', '151', '1', 'Statistics for short url');
INSERT INTO language_content VALUES ('163', '152', '1', 'statistics, stats, short, url, tiny, link, href');
INSERT INTO language_content VALUES ('164', '153', '1', 'visits:');
INSERT INTO language_content VALUES ('165', '154', '1', 'created:');
INSERT INTO language_content VALUES ('166', '155', '1', 'Visitors');
INSERT INTO language_content VALUES ('167', '156', '1', 'Countries');
INSERT INTO language_content VALUES ('168', '157', '1', 'Top Referrers');
INSERT INTO language_content VALUES ('169', '158', '1', 'Browsers');
INSERT INTO language_content VALUES ('170', '159', '1', 'Operating Systems');
INSERT INTO language_content VALUES ('171', '160', '1', 'last 24 hours');
INSERT INTO language_content VALUES ('172', '161', '1', 'last 7 days');
INSERT INTO language_content VALUES ('173', '162', '1', 'last 30 days');
INSERT INTO language_content VALUES ('174', '163', '1', 'last 12 months');
INSERT INTO language_content VALUES ('175', '164', '1', 'Hour');
INSERT INTO language_content VALUES ('176', '165', '1', 'Visits');
INSERT INTO language_content VALUES ('177', '166', '1', 'Date');
INSERT INTO language_content VALUES ('178', '167', '1', 'Total visits');
INSERT INTO language_content VALUES ('179', '168', '1', 'Percentage');
INSERT INTO language_content VALUES ('180', '169', '1', 'Day');
INSERT INTO language_content VALUES ('181', '170', '1', 'Month');
INSERT INTO language_content VALUES ('182', '171', '1', 'Country');
INSERT INTO language_content VALUES ('183', '172', '1', 'Site');
INSERT INTO language_content VALUES ('184', '173', '1', 'Browser');
INSERT INTO language_content VALUES ('185', '174', '1', 'Operating System');
INSERT INTO language_content VALUES ('186', '175', '1', 'Andorra');
INSERT INTO language_content VALUES ('187', '176', '1', 'United Arab Emirates');
INSERT INTO language_content VALUES ('188', '177', '1', 'Afghanistan');
INSERT INTO language_content VALUES ('189', '178', '1', 'Antigua And Barbuda');
INSERT INTO language_content VALUES ('190', '179', '1', 'Anguilla');
INSERT INTO language_content VALUES ('191', '180', '1', 'Albania');
INSERT INTO language_content VALUES ('192', '181', '1', 'Armenia');
INSERT INTO language_content VALUES ('193', '182', '1', 'Netherlands Antilles');
INSERT INTO language_content VALUES ('194', '183', '1', 'Angola');
INSERT INTO language_content VALUES ('195', '184', '1', 'Antarctica');
INSERT INTO language_content VALUES ('196', '185', '1', 'Argentina');
INSERT INTO language_content VALUES ('197', '186', '1', 'American Samoa');
INSERT INTO language_content VALUES ('198', '187', '1', 'Austria');
INSERT INTO language_content VALUES ('199', '188', '1', 'Australia');
INSERT INTO language_content VALUES ('200', '189', '1', 'Aruba');
INSERT INTO language_content VALUES ('201', '190', '1', 'Azerbaijan');
INSERT INTO language_content VALUES ('202', '191', '1', 'Bosnia And Herzegovina');
INSERT INTO language_content VALUES ('203', '192', '1', 'Barbados');
INSERT INTO language_content VALUES ('204', '193', '1', 'Bangladesh');
INSERT INTO language_content VALUES ('205', '194', '1', 'Belgium');
INSERT INTO language_content VALUES ('206', '195', '1', 'Burkina Faso');
INSERT INTO language_content VALUES ('207', '196', '1', 'Bulgaria');
INSERT INTO language_content VALUES ('208', '197', '1', 'Bahrain');
INSERT INTO language_content VALUES ('209', '198', '1', 'Burundi');
INSERT INTO language_content VALUES ('210', '199', '1', 'Benin');
INSERT INTO language_content VALUES ('211', '200', '1', 'Bermuda');
INSERT INTO language_content VALUES ('212', '201', '1', 'Brunei Darussalam');
INSERT INTO language_content VALUES ('213', '202', '1', 'Bolivia');
INSERT INTO language_content VALUES ('214', '203', '1', 'Brazil');
INSERT INTO language_content VALUES ('215', '204', '1', 'Bahamas');
INSERT INTO language_content VALUES ('216', '205', '1', 'Bhutan');
INSERT INTO language_content VALUES ('217', '206', '1', 'Botswana');
INSERT INTO language_content VALUES ('218', '207', '1', 'Belarus');
INSERT INTO language_content VALUES ('219', '208', '1', 'Belize');
INSERT INTO language_content VALUES ('220', '209', '1', 'Canada');
INSERT INTO language_content VALUES ('221', '210', '1', 'The Democratic Republic Of The Congo');
INSERT INTO language_content VALUES ('222', '211', '1', 'Central African Republic');
INSERT INTO language_content VALUES ('223', '212', '1', 'Congo');
INSERT INTO language_content VALUES ('224', '213', '1', 'Switzerland');
INSERT INTO language_content VALUES ('225', '214', '1', 'Cote Divoire');
INSERT INTO language_content VALUES ('226', '215', '1', 'Cook Islands');
INSERT INTO language_content VALUES ('227', '216', '1', 'Chile');
INSERT INTO language_content VALUES ('228', '217', '1', 'Cameroon');
INSERT INTO language_content VALUES ('229', '218', '1', 'China');
INSERT INTO language_content VALUES ('230', '219', '1', 'Colombia');
INSERT INTO language_content VALUES ('231', '220', '1', 'Costa Rica');
INSERT INTO language_content VALUES ('232', '221', '1', 'Serbia And Montenegro');
INSERT INTO language_content VALUES ('233', '222', '1', 'Cuba');
INSERT INTO language_content VALUES ('234', '223', '1', 'Cape Verde');
INSERT INTO language_content VALUES ('235', '224', '1', 'Cyprus');
INSERT INTO language_content VALUES ('236', '225', '1', 'Czech Republic');
INSERT INTO language_content VALUES ('237', '226', '1', 'Germany');
INSERT INTO language_content VALUES ('238', '227', '1', 'Djibouti');
INSERT INTO language_content VALUES ('239', '228', '1', 'Denmark');
INSERT INTO language_content VALUES ('240', '229', '1', 'Dominica');
INSERT INTO language_content VALUES ('241', '230', '1', 'Dominican Republic');
INSERT INTO language_content VALUES ('242', '231', '1', 'Algeria');
INSERT INTO language_content VALUES ('243', '232', '1', 'Ecuador');
INSERT INTO language_content VALUES ('244', '233', '1', 'Estonia');
INSERT INTO language_content VALUES ('245', '234', '1', 'Egypt');
INSERT INTO language_content VALUES ('246', '235', '1', 'Eritrea');
INSERT INTO language_content VALUES ('247', '236', '1', 'Spain');
INSERT INTO language_content VALUES ('248', '237', '1', 'Ethiopia');
INSERT INTO language_content VALUES ('249', '238', '1', 'European Union');
INSERT INTO language_content VALUES ('250', '239', '1', 'Finland');
INSERT INTO language_content VALUES ('251', '240', '1', 'Fiji');
INSERT INTO language_content VALUES ('252', '241', '1', 'Falkland Islands (Malvinas)');
INSERT INTO language_content VALUES ('253', '242', '1', 'Federated States Of Micronesia');
INSERT INTO language_content VALUES ('254', '243', '1', 'Faroe Islands');
INSERT INTO language_content VALUES ('255', '244', '1', 'France');
INSERT INTO language_content VALUES ('256', '245', '1', 'Gabon');
INSERT INTO language_content VALUES ('257', '246', '1', 'United Kingdom');
INSERT INTO language_content VALUES ('258', '247', '1', 'Grenada');
INSERT INTO language_content VALUES ('259', '248', '1', 'Georgia');
INSERT INTO language_content VALUES ('260', '249', '1', 'French Guiana');
INSERT INTO language_content VALUES ('261', '250', '1', 'Ghana');
INSERT INTO language_content VALUES ('262', '251', '1', 'Gibraltar');
INSERT INTO language_content VALUES ('263', '252', '1', 'Greenland');
INSERT INTO language_content VALUES ('264', '253', '1', 'Gambia');
INSERT INTO language_content VALUES ('265', '254', '1', 'Guinea');
INSERT INTO language_content VALUES ('266', '255', '1', 'Guadeloupe');
INSERT INTO language_content VALUES ('267', '256', '1', 'Equatorial Guinea');
INSERT INTO language_content VALUES ('268', '257', '1', 'Greece');
INSERT INTO language_content VALUES ('269', '258', '1', 'South Georgia And The South Sandwich Islands');
INSERT INTO language_content VALUES ('270', '259', '1', 'Guatemala');
INSERT INTO language_content VALUES ('271', '260', '1', 'Guam');
INSERT INTO language_content VALUES ('272', '261', '1', 'Guinea-Bissau');
INSERT INTO language_content VALUES ('273', '262', '1', 'Guyana');
INSERT INTO language_content VALUES ('274', '263', '1', 'Hong Kong');
INSERT INTO language_content VALUES ('275', '264', '1', 'Honduras');
INSERT INTO language_content VALUES ('276', '265', '1', 'Croatia');
INSERT INTO language_content VALUES ('277', '266', '1', 'Haiti');
INSERT INTO language_content VALUES ('278', '267', '1', 'Hungary');
INSERT INTO language_content VALUES ('279', '268', '1', 'Indonesia');
INSERT INTO language_content VALUES ('280', '269', '1', 'Ireland');
INSERT INTO language_content VALUES ('281', '270', '1', 'Israel');
INSERT INTO language_content VALUES ('282', '271', '1', 'India');
INSERT INTO language_content VALUES ('283', '272', '1', 'British Indian Ocean Territory');
INSERT INTO language_content VALUES ('284', '273', '1', 'Iraq');
INSERT INTO language_content VALUES ('285', '274', '1', 'Islamic Republic Of Iran');
INSERT INTO language_content VALUES ('286', '275', '1', 'Iceland');
INSERT INTO language_content VALUES ('287', '276', '1', 'Italy');
INSERT INTO language_content VALUES ('288', '277', '1', 'Jamaica');
INSERT INTO language_content VALUES ('289', '278', '1', 'Jordan');
INSERT INTO language_content VALUES ('290', '279', '1', 'Japan');
INSERT INTO language_content VALUES ('291', '280', '1', 'Kenya');
INSERT INTO language_content VALUES ('292', '281', '1', 'Kyrgyzstan');
INSERT INTO language_content VALUES ('293', '282', '1', 'Cambodia');
INSERT INTO language_content VALUES ('294', '283', '1', 'Kiribati');
INSERT INTO language_content VALUES ('295', '284', '1', 'Comoros');
INSERT INTO language_content VALUES ('296', '285', '1', 'Saint Kitts And Nevis');
INSERT INTO language_content VALUES ('297', '286', '1', 'Republic Of Korea');
INSERT INTO language_content VALUES ('298', '287', '1', 'Kuwait');
INSERT INTO language_content VALUES ('299', '288', '1', 'Cayman Islands');
INSERT INTO language_content VALUES ('300', '289', '1', 'Kazakhstan');
INSERT INTO language_content VALUES ('301', '290', '1', 'Lao Peoples Democratic Republic');
INSERT INTO language_content VALUES ('302', '291', '1', 'Lebanon');
INSERT INTO language_content VALUES ('303', '292', '1', 'Saint Lucia');
INSERT INTO language_content VALUES ('304', '293', '1', 'Liechtenstein');
INSERT INTO language_content VALUES ('305', '294', '1', 'Sri Lanka');
INSERT INTO language_content VALUES ('306', '295', '1', 'Liberia');
INSERT INTO language_content VALUES ('307', '296', '1', 'Lesotho');
INSERT INTO language_content VALUES ('308', '297', '1', 'Lithuania');
INSERT INTO language_content VALUES ('309', '298', '1', 'Luxembourg');
INSERT INTO language_content VALUES ('310', '299', '1', 'Latvia');
INSERT INTO language_content VALUES ('311', '300', '1', 'Libyan Arab Jamahiriya');
INSERT INTO language_content VALUES ('312', '301', '1', 'Morocco');
INSERT INTO language_content VALUES ('313', '302', '1', 'Monaco');
INSERT INTO language_content VALUES ('314', '303', '1', 'Republic Of Moldova');
INSERT INTO language_content VALUES ('315', '304', '1', 'Madagascar');
INSERT INTO language_content VALUES ('316', '305', '1', 'Marshall Islands');
INSERT INTO language_content VALUES ('317', '306', '1', 'The Former Yugoslav Republic Of Macedonia');
INSERT INTO language_content VALUES ('318', '307', '1', 'Mali');
INSERT INTO language_content VALUES ('319', '308', '1', 'Myanmar');
INSERT INTO language_content VALUES ('320', '309', '1', 'Mongolia');
INSERT INTO language_content VALUES ('321', '310', '1', 'Macao');
INSERT INTO language_content VALUES ('322', '311', '1', 'Northern Mariana Islands');
INSERT INTO language_content VALUES ('323', '312', '1', 'Martinique');
INSERT INTO language_content VALUES ('324', '313', '1', 'Mauritania');
INSERT INTO language_content VALUES ('325', '314', '1', 'Malta');
INSERT INTO language_content VALUES ('326', '315', '1', 'Mauritius');
INSERT INTO language_content VALUES ('327', '316', '1', 'Maldives');
INSERT INTO language_content VALUES ('328', '317', '1', 'Malawi');
INSERT INTO language_content VALUES ('329', '318', '1', 'Mexico');
INSERT INTO language_content VALUES ('330', '319', '1', 'Malaysia');
INSERT INTO language_content VALUES ('331', '320', '1', 'Mozambique');
INSERT INTO language_content VALUES ('332', '321', '1', 'Namibia');
INSERT INTO language_content VALUES ('333', '322', '1', 'New Caledonia');
INSERT INTO language_content VALUES ('334', '323', '1', 'Niger');
INSERT INTO language_content VALUES ('335', '324', '1', 'Norfolk Island');
INSERT INTO language_content VALUES ('336', '325', '1', 'Nigeria');
INSERT INTO language_content VALUES ('337', '326', '1', 'Nicaragua');
INSERT INTO language_content VALUES ('338', '327', '1', 'Netherlands');
INSERT INTO language_content VALUES ('339', '328', '1', 'Norway');
INSERT INTO language_content VALUES ('340', '329', '1', 'Nepal');
INSERT INTO language_content VALUES ('341', '330', '1', 'Nauru');
INSERT INTO language_content VALUES ('342', '331', '1', 'Niue');
INSERT INTO language_content VALUES ('343', '332', '1', 'New Zealand');
INSERT INTO language_content VALUES ('344', '333', '1', 'Oman');
INSERT INTO language_content VALUES ('345', '334', '1', 'Panama');
INSERT INTO language_content VALUES ('346', '335', '1', 'Peru');
INSERT INTO language_content VALUES ('347', '336', '1', 'French Polynesia');
INSERT INTO language_content VALUES ('348', '337', '1', 'Papua New Guinea');
INSERT INTO language_content VALUES ('349', '338', '1', 'Philippines');
INSERT INTO language_content VALUES ('350', '339', '1', 'Pakistan');
INSERT INTO language_content VALUES ('351', '340', '1', 'Poland');
INSERT INTO language_content VALUES ('352', '341', '1', 'Puerto Rico');
INSERT INTO language_content VALUES ('353', '342', '1', 'Palestinian Territory');
INSERT INTO language_content VALUES ('354', '343', '1', 'Portugal');
INSERT INTO language_content VALUES ('355', '344', '1', 'Palau');
INSERT INTO language_content VALUES ('356', '345', '1', 'Paraguay');
INSERT INTO language_content VALUES ('357', '346', '1', 'Qatar');
INSERT INTO language_content VALUES ('358', '347', '1', 'Reunion');
INSERT INTO language_content VALUES ('359', '348', '1', 'Romania');
INSERT INTO language_content VALUES ('360', '349', '1', 'Russian Federation');
INSERT INTO language_content VALUES ('361', '350', '1', 'Rwanda');
INSERT INTO language_content VALUES ('362', '351', '1', 'Saudi Arabia');
INSERT INTO language_content VALUES ('363', '352', '1', 'Solomon Islands');
INSERT INTO language_content VALUES ('364', '353', '1', 'Seychelles');
INSERT INTO language_content VALUES ('365', '354', '1', 'Sudan');
INSERT INTO language_content VALUES ('366', '355', '1', 'Sweden');
INSERT INTO language_content VALUES ('367', '356', '1', 'Singapore');
INSERT INTO language_content VALUES ('368', '357', '1', 'Slovenia');
INSERT INTO language_content VALUES ('369', '358', '1', 'Slovakia (Slovak Republic)');
INSERT INTO language_content VALUES ('370', '359', '1', 'Sierra Leone');
INSERT INTO language_content VALUES ('371', '360', '1', 'San Marino');
INSERT INTO language_content VALUES ('372', '361', '1', 'Senegal');
INSERT INTO language_content VALUES ('373', '362', '1', 'Somalia');
INSERT INTO language_content VALUES ('374', '363', '1', 'Suriname');
INSERT INTO language_content VALUES ('375', '364', '1', 'Sao Tome And Principe');
INSERT INTO language_content VALUES ('376', '365', '1', 'El Salvador');
INSERT INTO language_content VALUES ('377', '366', '1', 'Syrian Arab Republic');
INSERT INTO language_content VALUES ('378', '367', '1', 'Swaziland');
INSERT INTO language_content VALUES ('379', '368', '1', 'Chad');
INSERT INTO language_content VALUES ('380', '369', '1', 'French Southern Territories');
INSERT INTO language_content VALUES ('381', '370', '1', 'Togo');
INSERT INTO language_content VALUES ('382', '371', '1', 'Thailand');
INSERT INTO language_content VALUES ('383', '372', '1', 'Tajikistan');
INSERT INTO language_content VALUES ('384', '373', '1', 'Tokelau');
INSERT INTO language_content VALUES ('385', '374', '1', 'Timor-Leste');
INSERT INTO language_content VALUES ('386', '375', '1', 'Turkmenistan');
INSERT INTO language_content VALUES ('387', '376', '1', 'Tunisia');
INSERT INTO language_content VALUES ('388', '377', '1', 'Tonga');
INSERT INTO language_content VALUES ('389', '378', '1', 'Turkey');
INSERT INTO language_content VALUES ('390', '379', '1', 'Trinidad And Tobago');
INSERT INTO language_content VALUES ('391', '380', '1', 'Tuvalu');
INSERT INTO language_content VALUES ('392', '381', '1', 'Taiwan Province Of China');
INSERT INTO language_content VALUES ('393', '382', '1', 'United Republic Of Tanzania');
INSERT INTO language_content VALUES ('394', '383', '1', 'Ukraine');
INSERT INTO language_content VALUES ('395', '384', '1', 'Uganda');
INSERT INTO language_content VALUES ('396', '385', '1', 'United States');
INSERT INTO language_content VALUES ('397', '386', '1', 'Uruguay');
INSERT INTO language_content VALUES ('398', '387', '1', 'Uzbekistan');
INSERT INTO language_content VALUES ('399', '388', '1', 'Holy See (Vatican City State)');
INSERT INTO language_content VALUES ('400', '389', '1', 'Saint Vincent And The Grenadines');
INSERT INTO language_content VALUES ('401', '390', '1', 'Venezuela');
INSERT INTO language_content VALUES ('402', '391', '1', 'Virgin Islands');
INSERT INTO language_content VALUES ('403', '392', '1', 'Virgin Islands');
INSERT INTO language_content VALUES ('404', '393', '1', 'Viet Nam');
INSERT INTO language_content VALUES ('405', '394', '1', 'Vanuatu');
INSERT INTO language_content VALUES ('406', '395', '1', 'Samoa');
INSERT INTO language_content VALUES ('407', '396', '1', 'Yemen');
INSERT INTO language_content VALUES ('408', '397', '1', 'Mayotte');
INSERT INTO language_content VALUES ('409', '398', '1', 'Serbia And Montenegro (Formally Yugoslavia)');
INSERT INTO language_content VALUES ('410', '399', '1', 'South Africa');
INSERT INTO language_content VALUES ('411', '400', '1', 'Zambia');
INSERT INTO language_content VALUES ('412', '401', '1', 'Zimbabwe');
INSERT INTO language_content VALUES ('413', '402', '1', 'Unknown');
INSERT INTO language_content VALUES ('414', '403', '1', 'Export All To CSV');
INSERT INTO language_content VALUES ('416', '404', '1', 'Show disabled:');
INSERT INTO language_content VALUES ('417', '405', '1', 'register');
INSERT INTO language_content VALUES ('418', '406', '1', 'Top Urls');
INSERT INTO language_content VALUES ('419', '407', '1', 'Latest Urls');
INSERT INTO language_content VALUES ('420', '408', '1', 'Login');
INSERT INTO language_content VALUES ('421', '409', '1', 'Account Home');
INSERT INTO language_content VALUES ('422', '410', '1', 'Registration completed');
INSERT INTO language_content VALUES ('423', '411', '1', 'Your registration has been completed.');
INSERT INTO language_content VALUES ('424', '412', '1', 'registration, completed, short, url, site');
INSERT INTO language_content VALUES ('425', '413', '1', 'Thank you for registering!');
INSERT INTO language_content VALUES ('426', '414', '1', 'We\'ve sent an email to your registered email address with your access password. Please check your spam filters to ensure emails from this site get through. ');
INSERT INTO language_content VALUES ('427', '415', '1', 'Emails from this site are sent from ');
INSERT INTO language_content VALUES ('428', '416', '1', 'Login');
INSERT INTO language_content VALUES ('429', '417', '1', 'Login to your account');
INSERT INTO language_content VALUES ('430', '418', '1', 'login, register, short url');
INSERT INTO language_content VALUES ('431', '419', '1', 'Your username and password are invalid');
INSERT INTO language_content VALUES ('432', '420', '1', 'Account Login');
INSERT INTO language_content VALUES ('433', '421', '1', 'Please enter your username and password below to login.');
INSERT INTO language_content VALUES ('434', '422', '1', 'Your account username. 6 characters or more and alpha numeric.');
INSERT INTO language_content VALUES ('435', '423', '1', 'Your account password. Min 6 characters, alpha numeric, no spaces.');
INSERT INTO language_content VALUES ('436', '424', '1', 'your urls');
INSERT INTO language_content VALUES ('437', '425', '1', 'API');
INSERT INTO language_content VALUES ('438', '426', '1', 'Our Free API');
INSERT INTO language_content VALUES ('439', '427', '1', 'api, application, programming, interface, short, url, site');
INSERT INTO language_content VALUES ('440', '428', '1', 'Please enter your username');
INSERT INTO language_content VALUES ('441', '429', '1', 'Account Home');
INSERT INTO language_content VALUES ('442', '430', '1', 'Your Account Home');
INSERT INTO language_content VALUES ('443', '431', '1', 'account, home, shorturl, your, interface, short, url, site');
INSERT INTO language_content VALUES ('444', '432', '1', 'Your Short Urls');
INSERT INTO language_content VALUES ('445', '433', '1', 'faq');
INSERT INTO language_content VALUES ('446', '433', '1', 'faq');
INSERT INTO language_content VALUES ('447', '433', '1', 'faq');
INSERT INTO language_content VALUES ('448', '433', '1', 'faq');
INSERT INTO language_content VALUES ('449', '433', '1', 'faq');
INSERT INTO language_content VALUES ('450', '433', '1', 'faq');
INSERT INTO language_content VALUES ('451', '434', '1', 'FAQ');
INSERT INTO language_content VALUES ('452', '435', '1', 'Frequently Asked Questions');
INSERT INTO language_content VALUES ('453', '436', '1', 'faq, frequently, asked, questions, short, url, site');
INSERT INTO language_content VALUES ('454', '437', '1', 'Please enter your password');
INSERT INTO language_content VALUES ('455', '438', '1', 'Report Url');
INSERT INTO language_content VALUES ('456', '439', '1', 'Enter the short url you wish to report.');
INSERT INTO language_content VALUES ('457', '440', '1', 'Please enter the problem url.');
INSERT INTO language_content VALUES ('458', '441', '1', 'Register Account');
INSERT INTO language_content VALUES ('459', '442', '1', 'Your Urls');
INSERT INTO language_content VALUES ('460', '443', '1', 'Recent urls created on this site:');
INSERT INTO language_content VALUES ('461', '444', '1', 'email confirm');
INSERT INTO language_content VALUES ('462', '445', '1', 'stats');
INSERT INTO language_content VALUES ('463', '446', '1', 'info');
INSERT INTO language_content VALUES ('464', '447', '1', 'Email Confirm');
INSERT INTO language_content VALUES ('465', '448', '1', 'Short/Original Url:');
INSERT INTO language_content VALUES ('466', '448', '1', 'Short/Original Url:');
INSERT INTO language_content VALUES ('467', '448', '1', 'Short/Original Url:');
INSERT INTO language_content VALUES ('468', '449', '1', 'Created/Last Visited:');
INSERT INTO language_content VALUES ('469', '449', '1', 'Created/Last Visited:');
INSERT INTO language_content VALUES ('470', '450', '1', 'Status:');
INSERT INTO language_content VALUES ('471', '450', '1', 'Status:');
INSERT INTO language_content VALUES ('472', '451', '1', 'Options:');
INSERT INTO language_content VALUES ('473', '449', '1', 'Created/Last Visited:');
INSERT INTO language_content VALUES ('474', '450', '1', 'Status:');
INSERT INTO language_content VALUES ('475', '451', '1', 'Options:');
INSERT INTO language_content VALUES ('476', '451', '1', 'Options:');
INSERT INTO language_content VALUES ('477', '448', '1', 'Short/Original Url:');
INSERT INTO language_content VALUES ('478', '449', '1', 'Created/Last Visited:');
INSERT INTO language_content VALUES ('479', '450', '1', 'Status:');
INSERT INTO language_content VALUES ('480', '451', '1', 'Options:');
INSERT INTO language_content VALUES ('481', '448', '1', 'Short/Original Url:');
INSERT INTO language_content VALUES ('482', '449', '1', 'Created/Last Visited:');
INSERT INTO language_content VALUES ('483', '450', '1', 'Status:');
INSERT INTO language_content VALUES ('484', '451', '1', 'Options:');

-- ----------------------------
-- Table structure for `language_key`
-- ----------------------------
DROP TABLE IF EXISTS `language_key`;
CREATE TABLE `language_key` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `languageKey` varchar(255) NOT NULL,
  `defaultContent` text NOT NULL,
  `isAdminArea` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `languageKey` (`languageKey`)
) ENGINE=MyISAM AUTO_INCREMENT=452 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of language_key
-- ----------------------------
INSERT INTO language_key VALUES ('1', 'home', 'home', '1');
INSERT INTO language_key VALUES ('2', 'manage_short_urls', 'manage short urls', '1');
INSERT INTO language_key VALUES ('3', 'banned_words_urls', 'banned words / urls', '1');
INSERT INTO language_key VALUES ('4', 'admin_users', 'admin users', '1');
INSERT INTO language_key VALUES ('5', 'banned_ips', 'banned ips', '1');
INSERT INTO language_key VALUES ('6', 'site_settings', 'site settings', '1');
INSERT INTO language_key VALUES ('7', 'languages', 'languages', '1');
INSERT INTO language_key VALUES ('8', 'logout', 'logout', '1');
INSERT INTO language_key VALUES ('9', 'language_details', 'Language Details', '1');
INSERT INTO language_key VALUES ('10', 'are_you_sure_you_want_to_remove_this_ip_ban', 'Are you sure you want to remove this IP ban?', '1');
INSERT INTO language_key VALUES ('11', 'are_you_sure_update_user_status', 'Are you sure you want to update the status of this user?', '1');
INSERT INTO language_key VALUES ('12', 'view', 'view', '1');
INSERT INTO language_key VALUES ('13', 'disable', 'disable', '1');
INSERT INTO language_key VALUES ('14', 'enable', 'enable', '1');
INSERT INTO language_key VALUES ('15', 'are_you_sure_remove_banned_word', 'Are you sure you want to remove this banned word?', '1');
INSERT INTO language_key VALUES ('16', 'ip_address_invalid_try_again', 'IP address appears to be invalid, please try again.', '1');
INSERT INTO language_key VALUES ('17', 'ip_address_already_blocked', 'IP address is already in the blocked list.', '1');
INSERT INTO language_key VALUES ('18', 'error_problem_record', 'There was a problem inserting/updating the record, please try again later.', '1');
INSERT INTO language_key VALUES ('19', 'banned_word_already_in_list', 'Banned word is already in the list.', '1');
INSERT INTO language_key VALUES ('20', 'language_already_in_system', 'Language already in the system.', '1');
INSERT INTO language_key VALUES ('21', 'username_length_invalid', 'Username must be between 6-16 characters long.', '1');
INSERT INTO language_key VALUES ('22', 'password_length_invalid', 'Password must be between 6-16 characters long.', '1');
INSERT INTO language_key VALUES ('23', 'enter_first_name', 'Please enter the firstname.', '1');
INSERT INTO language_key VALUES ('24', 'enter_last_name', 'Please enter the lastname.', '1');
INSERT INTO language_key VALUES ('25', 'enter_email_address', 'Please enter the email address.', '1');
INSERT INTO language_key VALUES ('26', 'entered_email_address_invalid', 'The email address you entered appears to be invalid.', '1');
INSERT INTO language_key VALUES ('27', 'copyright', 'Copyright', '1');
INSERT INTO language_key VALUES ('28', 'support', 'Support', '1');
INSERT INTO language_key VALUES ('30', 'admin_panel', 'Admin Panel', '1');
INSERT INTO language_key VALUES ('31', 'logged_in_as', 'Logged in as', '1');
INSERT INTO language_key VALUES ('32', 'banned_ips_intro', 'To ban an IP Address <a href=\"#\" onClick=\"displayBannedIpPopup(); return false;\">click here</a> or delete any existing ones below:', '1');
INSERT INTO language_key VALUES ('33', 'banned_ips_add_banned_ip', 'Add banned IP address', '1');
INSERT INTO language_key VALUES ('34', 'remove', 'remove', '1');
INSERT INTO language_key VALUES ('35', 'ip_address', 'IP Address', '1');
INSERT INTO language_key VALUES ('36', 'ban_from', 'Ban From', '1');
INSERT INTO language_key VALUES ('37', 'notes', 'Notes', '1');
INSERT INTO language_key VALUES ('38', 'add_banned_ip', 'Add Banned IP', '1');
INSERT INTO language_key VALUES ('39', 'error_submitting_form', 'There was an error submitting the form, please try again later.', '1');
INSERT INTO language_key VALUES ('40', 'enter_ip_address_details', 'Enter IP Address details', '1');
INSERT INTO language_key VALUES ('41', 'banned_terms_intro', 'To ban an word within the original url <a href=\"#\" onClick=\"displayBannedWordsPopup(); return false;\">click here</a> or delete any existing ones below:', '1');
INSERT INTO language_key VALUES ('42', 'add_banned_term', 'Add banned word', '1');
INSERT INTO language_key VALUES ('43', 'banned_term', 'Banned Word', '1');
INSERT INTO language_key VALUES ('44', 'date_banned', 'Date Banned', '1');
INSERT INTO language_key VALUES ('45', 'ban_notes', 'Ban Notes', '1');
INSERT INTO language_key VALUES ('46', 'action', 'Action', '1');
INSERT INTO language_key VALUES ('47', 'enter_banned_term_details', 'Enter Banned Word details', '1');
INSERT INTO language_key VALUES ('48', 'dashboard_intro', 'Use the main navigation above to manage this site. A quick overview of the site can be seen below:', '1');
INSERT INTO language_key VALUES ('49', 'dashboard_graph_last_14_days_title', 'New Short Urls (last 14 days)', '1');
INSERT INTO language_key VALUES ('50', 'dashboard_graph_last_12_months_title', 'New Short Urls (last 12 months)', '1');
INSERT INTO language_key VALUES ('51', 'urls', 'Urls', '1');
INSERT INTO language_key VALUES ('52', 'active', 'active', '1');
INSERT INTO language_key VALUES ('53', 'disabled', 'disabled', '1');
INSERT INTO language_key VALUES ('54', 'spam', 'spam', '1');
INSERT INTO language_key VALUES ('55', 'expired', 'expired', '1');
INSERT INTO language_key VALUES ('56', 'dashboard_total_active_urls', 'Total active urls:', '1');
INSERT INTO language_key VALUES ('57', 'dashboard_total_disabled_urls', 'Total disabled urls:', '1');
INSERT INTO language_key VALUES ('58', 'dashboard_total_visits_to_all_urls', 'Total visits to all short urls:', '1');
INSERT INTO language_key VALUES ('59', 'item_name', 'Item Name', '1');
INSERT INTO language_key VALUES ('60', 'value', 'Value', '1');
INSERT INTO language_key VALUES ('61', 'manage_languages_intro_2', 'Manage the available content for the selected language. Click on any of the \'Translated Content\' cells to edit the value.', '1');
INSERT INTO language_key VALUES ('62', 'manage_languages_intro_1', 'Select a language to manage or <a href=\'#\' onClick=\'displayAddLanguagePopup(); return false;\'>add a new one here</a>. NOTE: Once translated, to set the site default language go to the <a href=\'settings.php\'>site settings</a> area.', '1');
INSERT INTO language_key VALUES ('63', 'language_key', 'Language Key', '1');
INSERT INTO language_key VALUES ('64', 'default_content', 'Default Content', '1');
INSERT INTO language_key VALUES ('65', 'translated_content', 'Translated Content', '1');
INSERT INTO language_key VALUES ('66', 'no_changes_in_demo_mode', 'Error: Changes to this section can not be made within demo mode.', '1');
INSERT INTO language_key VALUES ('67', 'manage_other_languages', 'Manage other languages', '1');
INSERT INTO language_key VALUES ('68', 'no_available_content', 'There is no available content.', '1');
INSERT INTO language_key VALUES ('69', 'select_language', 'select language', '1');
INSERT INTO language_key VALUES ('70', 'add_language', 'Add Language', '1');
INSERT INTO language_key VALUES ('71', 'language_name', 'Language Name', '1');
INSERT INTO language_key VALUES ('72', 'settings_intro', 'Click on any of the items within the \"Config Value\" column below to edit:', '1');
INSERT INTO language_key VALUES ('73', 'group', 'Group', '1');
INSERT INTO language_key VALUES ('74', 'config_description', 'Config Description', '1');
INSERT INTO language_key VALUES ('75', 'config_value', 'Config Value', '1');
INSERT INTO language_key VALUES ('76', 'shorturls_filter_results', 'Filter results:', '1');
INSERT INTO language_key VALUES ('77', 'user_management_intro', 'Double click on any of the users below to edit the account information or <a href=\"#\" onClick=\"displayUserPopup(); return false;\">click here to add a new user</a>:', '1');
INSERT INTO language_key VALUES ('78', 'add_new_user', 'Add new user', '1');
INSERT INTO language_key VALUES ('79', 'username', 'Username', '1');
INSERT INTO language_key VALUES ('80', 'email_address', 'Email Address', '1');
INSERT INTO language_key VALUES ('81', 'account_type', 'Account Type', '1');
INSERT INTO language_key VALUES ('82', 'last_login', 'Last Login', '1');
INSERT INTO language_key VALUES ('83', 'account_status', 'Account Status', '1');
INSERT INTO language_key VALUES ('84', 'password', 'Password', '1');
INSERT INTO language_key VALUES ('85', 'title', 'Title', '1');
INSERT INTO language_key VALUES ('86', 'firstname', 'Firstname', '1');
INSERT INTO language_key VALUES ('87', 'lastname', 'Lastname', '1');
INSERT INTO language_key VALUES ('88', 'enter_user_details', 'Enter user details', '1');
INSERT INTO language_key VALUES ('89', 'create_short_url', 'Create Short Url', '0');
INSERT INTO language_key VALUES ('90', 'term_and_conditions', 'Terms &amp; Conditions', '0');
INSERT INTO language_key VALUES ('91', 'report_abuse', 'Report Abuse', '0');
INSERT INTO language_key VALUES ('92', 'created_by', 'Created By', '0');
INSERT INTO language_key VALUES ('93', 'please_agree_terms_and_conditions', 'Please agree the terms and conditions.', '0');
INSERT INTO language_key VALUES ('94', 'not_permitted_to_create_urls_on_site', 'You are not permitted to create a short url on this site.', '0');
INSERT INTO language_key VALUES ('95', 'error_with_url', 'There was an error with the url you supplied, please check and try again.', '0');
INSERT INTO language_key VALUES ('96', 'can_not_create_url_on_this_site', 'You can not create a shorturl on this site.', '0');
INSERT INTO language_key VALUES ('97', 'date_entered_is_incorrect', 'The date you entered is incorrect.', '0');
INSERT INTO language_key VALUES ('98', 'custom_short_url_already_exits', 'That custom short url already exists, please try another.', '0');
INSERT INTO language_key VALUES ('99', 'problem_creating_short_url', 'There was a problem creating the short url, please try again later.', '0');
INSERT INTO language_key VALUES ('100', 'access_restricted_enter_password', 'This url is access restricted, please enter the password below:', '0');
INSERT INTO language_key VALUES ('101', 'access_restricted_page_name', 'Access Restricted', '0');
INSERT INTO language_key VALUES ('102', 'access_restricted_meta_description', 'Please enter the password to access the url.', '0');
INSERT INTO language_key VALUES ('103', 'access_restricted_meta_keywords', 'password, short, url, smal, link, access, restricted, mfscripts.com', '0');
INSERT INTO language_key VALUES ('104', 'delayed_redirect_page_name', 'Redirecting to url, please wait...', '0');
INSERT INTO language_key VALUES ('105', 'delayed_redirect_meta_description', 'Redirecting to url, please wait...', '0');
INSERT INTO language_key VALUES ('106', 'delayed_redirect_meta_keywords', 'redirecting, short, url, delayed, redirect, mfscripts.com', '0');
INSERT INTO language_key VALUES ('107', 'redirecting_to', 'Redirecting to', '0');
INSERT INTO language_key VALUES ('108', 'please_wait', 'please wait', '0');
INSERT INTO language_key VALUES ('109', 'general_site_error', 'There was a general site error, please try again later.', '0');
INSERT INTO language_key VALUES ('110', 'error', 'Error', '0');
INSERT INTO language_key VALUES ('111', 'error_page_name', 'Error', '0');
INSERT INTO language_key VALUES ('112', 'error_meta_description', 'An error occurred', '0');
INSERT INTO language_key VALUES ('113', 'error_meta_keywords', 'error, tiny, url, script, occurred, mfscripts.com', '0');
INSERT INTO language_key VALUES ('114', 'framed_redirect_meta_description', 'Go to short url', '0');
INSERT INTO language_key VALUES ('115', 'framed_redirect_meta_keywords', 'short, url, link, href, redirect, tinyurl, forwarder, mfscripts.com', '0');
INSERT INTO language_key VALUES ('116', 'browser_no_frame_support', 'Your browser does not support frames and can not view this short url.', '0');
INSERT INTO language_key VALUES ('117', 'index_page_name', 'Create short url', '0');
INSERT INTO language_key VALUES ('118', 'index_meta_description', 'Create short urls from your longer website urls. No registration required. Completely free to use.', '0');
INSERT INTO language_key VALUES ('119', 'index_meta_keywords', 'shorturl, short, url, tiny, href, link, path, twitter, post, facebook, longurl, mfscripts.com', '0');
INSERT INTO language_key VALUES ('120', 'agree_terms', 'Agree terms', '0');
INSERT INTO language_key VALUES ('121', 'enter_your_long_url', 'Enter your long url', '0');
INSERT INTO language_key VALUES ('122', 'custom_url', 'Custom Url:', '0');
INSERT INTO language_key VALUES ('123', 'set_a_custom_url', 'set a custom short url', '0');
INSERT INTO language_key VALUES ('124', 'index_password', 'Password:', '0');
INSERT INTO language_key VALUES ('125', 'set_the_password_to_access_link', 'set a password to access the link', '0');
INSERT INTO language_key VALUES ('126', 'expiry_date', 'Expiry Date:', '0');
INSERT INTO language_key VALUES ('127', 'set_an_expiry_date_for_url', 'set an expiry date for the url', '0');
INSERT INTO language_key VALUES ('128', 'url_total_uses', 'Total uses:', '0');
INSERT INTO language_key VALUES ('129', 'total_uses_before_url_expires', 'choose total short url click-throughs before expiring', '0');
INSERT INTO language_key VALUES ('130', 'unlimited', 'Unlimited', '0');
INSERT INTO language_key VALUES ('131', 'add_to_bookmarks', 'Add To Bookmarks', '0');
INSERT INTO language_key VALUES ('132', 'toolbar_quicklink_alert', 'Drag this link to your browsers bookmark toolbar so you can instantly create a short url for any site. If your browser does not allow you to drag bookmarks to the toolbar, try right-clicking the icon and selecting |Add To Favorites...|', '0');
INSERT INTO language_key VALUES ('133', 'twitter_quicklink_alert', 'Drag this link to your browsers bookmark toolbar so you can instantly create a short url and post it to your twitter account. If your browser does not allow you to drag bookmarks to the toolbar, try right-clicking the icon and selecting |Add To Favorites...|', '0');
INSERT INTO language_key VALUES ('134', 'post_on_twitter', 'Post On Twitter', '0');
INSERT INTO language_key VALUES ('135', 'report_url_page_name', 'Report short url', '0');
INSERT INTO language_key VALUES ('136', 'report_url_meta_description', 'Use this page to report any urls in breach of our terms and conditions', '0');
INSERT INTO language_key VALUES ('137', 'report_url_meta_keywords', 'report, short, urls, breach, terms, conditions, mfscripts.com', '0');
INSERT INTO language_key VALUES ('138', 'report_abuse_intro', 'Please use the form below to report any urls which breach our terms and conditions:', '0');
INSERT INTO language_key VALUES ('139', 'problem_url', 'Problem Url:', '0');
INSERT INTO language_key VALUES ('140', 'submit_report', 'submit report', '0');
INSERT INTO language_key VALUES ('141', 'error_short_url_no_longer_active', 'This short url is no longer active', '0');
INSERT INTO language_key VALUES ('142', 'short_url_reached_usage_limit', 'This short url has reached it\'s usage limit.', '0');
INSERT INTO language_key VALUES ('143', 'short_url_expired', 'This short url has expired.', '0');
INSERT INTO language_key VALUES ('144', 'password_incorrect', 'Your password is incorrect, please try again.', '0');
INSERT INTO language_key VALUES ('145', 'no_valid_url_found', 'No valid url found, please try again later.', '0');
INSERT INTO language_key VALUES ('146', 'api', 'API', '0');
INSERT INTO language_key VALUES ('147', 'api_popup_content', 'Our API allows you to provide short url functionality to any of your existing websites.<br/><br/><strong>Url Only</strong><br/>To generate a url via the API, send a POST or GET request to the site in the following format:<br/><br/>- %%SITE_URL%%/index.php?api=1&return_url_text=1&longUrl=<strong>{URL}</strong><br/><br/>This site will then generate the short url and return it as plain text. i.e:<br/><br/>- %%SITE_URL%%/a1<br/><br/><strong>Generate &amp; Redirect</strong><br/>If you remove the return_url_text param the user will be redirected to the results page on this site instead of just the url text being returned.<br/><br/><strong>Extra Params:</strong><br/>You can also set extra information on each short url, the supported params are:<br/><br/>customUrl => Custom short url.<br/>shortUrlPassword => Password to access the url.<br/>shortUrlExpiryDate => Expiry date in the formay DD-MM-YYYY HH:II:SS.<br/>shortUrlUses => Total permitted uses before expiring.<br/>postToTwitter => Set to 1 to auto redirect to Twitter.<br/><br/>NOTE: Any url requests via the API are subject to our normal spam protection measures and hence there may be limits to the amount of short urls that can be generated in any period.', '0');
INSERT INTO language_key VALUES ('148', 'index_url_stats', 'Url Stats:', '0');
INSERT INTO language_key VALUES ('149', 'index_url_stats_intro', 'For short url statistics, add an exclamation onto the end of the url', '0');
INSERT INTO language_key VALUES ('150', 'stats_page_name', 'Short Url Stats', '0');
INSERT INTO language_key VALUES ('151', 'stats_meta_description', 'Statistics for short url', '0');
INSERT INTO language_key VALUES ('152', 'stats_meta_keywords', 'statistics, stats, short, url, tiny, link, href', '0');
INSERT INTO language_key VALUES ('153', 'visits_', 'visits:', '0');
INSERT INTO language_key VALUES ('154', 'created_', 'created:', '0');
INSERT INTO language_key VALUES ('155', 'visitors', 'Visitors', '0');
INSERT INTO language_key VALUES ('156', 'countries', 'Countries', '0');
INSERT INTO language_key VALUES ('157', 'top_referrers', 'Top Referrers', '0');
INSERT INTO language_key VALUES ('158', 'browsers', 'Browsers', '0');
INSERT INTO language_key VALUES ('159', 'operating_systems', 'Operating Systems', '0');
INSERT INTO language_key VALUES ('160', 'last_24_hours', 'last 24 hours', '0');
INSERT INTO language_key VALUES ('161', 'last_7_days', 'last 7 days', '0');
INSERT INTO language_key VALUES ('162', 'last_30_days', 'last 30 days', '0');
INSERT INTO language_key VALUES ('163', 'last_12_months', 'last 12 months', '0');
INSERT INTO language_key VALUES ('164', 'hour', 'Hour', '0');
INSERT INTO language_key VALUES ('165', 'visits', 'Visits', '0');
INSERT INTO language_key VALUES ('166', 'date', 'Date', '0');
INSERT INTO language_key VALUES ('167', 'total_visits', 'Total visits', '0');
INSERT INTO language_key VALUES ('168', 'percentage', 'Percentage', '0');
INSERT INTO language_key VALUES ('169', 'day', 'Day', '0');
INSERT INTO language_key VALUES ('170', 'month', 'Month', '0');
INSERT INTO language_key VALUES ('171', 'country', 'Country', '0');
INSERT INTO language_key VALUES ('172', 'site', 'Site', '0');
INSERT INTO language_key VALUES ('173', 'browser', 'Browser', '0');
INSERT INTO language_key VALUES ('174', 'operating_system', 'Operating System', '0');
INSERT INTO language_key VALUES ('175', 'AD', 'Andorra', '0');
INSERT INTO language_key VALUES ('176', 'AE', 'United Arab Emirates', '0');
INSERT INTO language_key VALUES ('177', 'AF', 'Afghanistan', '0');
INSERT INTO language_key VALUES ('178', 'AG', 'Antigua And Barbuda', '0');
INSERT INTO language_key VALUES ('179', 'AI', 'Anguilla', '0');
INSERT INTO language_key VALUES ('180', 'AL', 'Albania', '0');
INSERT INTO language_key VALUES ('181', 'AM', 'Armenia', '0');
INSERT INTO language_key VALUES ('182', 'AN', 'Netherlands Antilles', '0');
INSERT INTO language_key VALUES ('183', 'AO', 'Angola', '0');
INSERT INTO language_key VALUES ('184', 'AQ', 'Antarctica', '0');
INSERT INTO language_key VALUES ('185', 'AR', 'Argentina', '0');
INSERT INTO language_key VALUES ('186', 'AS', 'American Samoa', '0');
INSERT INTO language_key VALUES ('187', 'AT', 'Austria', '0');
INSERT INTO language_key VALUES ('188', 'AU', 'Australia', '0');
INSERT INTO language_key VALUES ('189', 'AW', 'Aruba', '0');
INSERT INTO language_key VALUES ('190', 'AZ', 'Azerbaijan', '0');
INSERT INTO language_key VALUES ('191', 'BA', 'Bosnia And Herzegovina', '0');
INSERT INTO language_key VALUES ('192', 'BB', 'Barbados', '0');
INSERT INTO language_key VALUES ('193', 'BD', 'Bangladesh', '0');
INSERT INTO language_key VALUES ('194', 'BE', 'Belgium', '0');
INSERT INTO language_key VALUES ('195', 'BF', 'Burkina Faso', '0');
INSERT INTO language_key VALUES ('196', 'BG', 'Bulgaria', '0');
INSERT INTO language_key VALUES ('197', 'BH', 'Bahrain', '0');
INSERT INTO language_key VALUES ('198', 'BI', 'Burundi', '0');
INSERT INTO language_key VALUES ('199', 'BJ', 'Benin', '0');
INSERT INTO language_key VALUES ('200', 'BM', 'Bermuda', '0');
INSERT INTO language_key VALUES ('201', 'BN', 'Brunei Darussalam', '0');
INSERT INTO language_key VALUES ('202', 'BO', 'Bolivia', '0');
INSERT INTO language_key VALUES ('203', 'BR', 'Brazil', '0');
INSERT INTO language_key VALUES ('204', 'BS', 'Bahamas', '0');
INSERT INTO language_key VALUES ('205', 'BT', 'Bhutan', '0');
INSERT INTO language_key VALUES ('206', 'BW', 'Botswana', '0');
INSERT INTO language_key VALUES ('207', 'BY', 'Belarus', '0');
INSERT INTO language_key VALUES ('208', 'BZ', 'Belize', '0');
INSERT INTO language_key VALUES ('209', 'CA', 'Canada', '0');
INSERT INTO language_key VALUES ('210', 'CD', 'The Democratic Republic Of The Congo', '0');
INSERT INTO language_key VALUES ('211', 'CF', 'Central African Republic', '0');
INSERT INTO language_key VALUES ('212', 'CG', 'Congo', '0');
INSERT INTO language_key VALUES ('213', 'CH', 'Switzerland', '0');
INSERT INTO language_key VALUES ('214', 'CI', 'Cote Divoire', '0');
INSERT INTO language_key VALUES ('215', 'CK', 'Cook Islands', '0');
INSERT INTO language_key VALUES ('216', 'CL', 'Chile', '0');
INSERT INTO language_key VALUES ('217', 'CM', 'Cameroon', '0');
INSERT INTO language_key VALUES ('218', 'CN', 'China', '0');
INSERT INTO language_key VALUES ('219', 'CO', 'Colombia', '0');
INSERT INTO language_key VALUES ('220', 'CR', 'Costa Rica', '0');
INSERT INTO language_key VALUES ('221', 'CS', 'Serbia And Montenegro', '0');
INSERT INTO language_key VALUES ('222', 'CU', 'Cuba', '0');
INSERT INTO language_key VALUES ('223', 'CV', 'Cape Verde', '0');
INSERT INTO language_key VALUES ('224', 'CY', 'Cyprus', '0');
INSERT INTO language_key VALUES ('225', 'CZ', 'Czech Republic', '0');
INSERT INTO language_key VALUES ('226', 'DE', 'Germany', '0');
INSERT INTO language_key VALUES ('227', 'DJ', 'Djibouti', '0');
INSERT INTO language_key VALUES ('228', 'DK', 'Denmark', '0');
INSERT INTO language_key VALUES ('229', 'DM', 'Dominica', '0');
INSERT INTO language_key VALUES ('230', 'DO', 'Dominican Republic', '0');
INSERT INTO language_key VALUES ('231', 'DZ', 'Algeria', '0');
INSERT INTO language_key VALUES ('232', 'EC', 'Ecuador', '0');
INSERT INTO language_key VALUES ('233', 'EE', 'Estonia', '0');
INSERT INTO language_key VALUES ('234', 'EG', 'Egypt', '0');
INSERT INTO language_key VALUES ('235', 'ER', 'Eritrea', '0');
INSERT INTO language_key VALUES ('236', 'ES', 'Spain', '0');
INSERT INTO language_key VALUES ('237', 'ET', 'Ethiopia', '0');
INSERT INTO language_key VALUES ('238', 'EU', 'European Union', '0');
INSERT INTO language_key VALUES ('239', 'FI', 'Finland', '0');
INSERT INTO language_key VALUES ('240', 'FJ', 'Fiji', '0');
INSERT INTO language_key VALUES ('241', 'FK', 'Falkland Islands (Malvinas)', '0');
INSERT INTO language_key VALUES ('242', 'FM', 'Federated States Of Micronesia', '0');
INSERT INTO language_key VALUES ('243', 'FO', 'Faroe Islands', '0');
INSERT INTO language_key VALUES ('244', 'FR', 'France', '0');
INSERT INTO language_key VALUES ('245', 'GA', 'Gabon', '0');
INSERT INTO language_key VALUES ('246', 'GB', 'United Kingdom', '0');
INSERT INTO language_key VALUES ('247', 'GD', 'Grenada', '0');
INSERT INTO language_key VALUES ('248', 'GE', 'Georgia', '0');
INSERT INTO language_key VALUES ('249', 'GF', 'French Guiana', '0');
INSERT INTO language_key VALUES ('250', 'GH', 'Ghana', '0');
INSERT INTO language_key VALUES ('251', 'GI', 'Gibraltar', '0');
INSERT INTO language_key VALUES ('252', 'GL', 'Greenland', '0');
INSERT INTO language_key VALUES ('253', 'GM', 'Gambia', '0');
INSERT INTO language_key VALUES ('254', 'GN', 'Guinea', '0');
INSERT INTO language_key VALUES ('255', 'GP', 'Guadeloupe', '0');
INSERT INTO language_key VALUES ('256', 'GQ', 'Equatorial Guinea', '0');
INSERT INTO language_key VALUES ('257', 'GR', 'Greece', '0');
INSERT INTO language_key VALUES ('258', 'GS', 'South Georgia And The South Sandwich Islands', '0');
INSERT INTO language_key VALUES ('259', 'GT', 'Guatemala', '0');
INSERT INTO language_key VALUES ('260', 'GU', 'Guam', '0');
INSERT INTO language_key VALUES ('261', 'GW', 'Guinea-Bissau', '0');
INSERT INTO language_key VALUES ('262', 'GY', 'Guyana', '0');
INSERT INTO language_key VALUES ('263', 'HK', 'Hong Kong', '0');
INSERT INTO language_key VALUES ('264', 'HN', 'Honduras', '0');
INSERT INTO language_key VALUES ('265', 'HR', 'Croatia', '0');
INSERT INTO language_key VALUES ('266', 'HT', 'Haiti', '0');
INSERT INTO language_key VALUES ('267', 'HU', 'Hungary', '0');
INSERT INTO language_key VALUES ('268', 'ID', 'Indonesia', '0');
INSERT INTO language_key VALUES ('269', 'IE', 'Ireland', '0');
INSERT INTO language_key VALUES ('270', 'IL', 'Israel', '0');
INSERT INTO language_key VALUES ('271', 'IN', 'India', '0');
INSERT INTO language_key VALUES ('272', 'IO', 'British Indian Ocean Territory', '0');
INSERT INTO language_key VALUES ('273', 'IQ', 'Iraq', '0');
INSERT INTO language_key VALUES ('274', 'IR', 'Islamic Republic Of Iran', '0');
INSERT INTO language_key VALUES ('275', 'IS', 'Iceland', '0');
INSERT INTO language_key VALUES ('276', 'IT', 'Italy', '0');
INSERT INTO language_key VALUES ('277', 'JM', 'Jamaica', '0');
INSERT INTO language_key VALUES ('278', 'JO', 'Jordan', '0');
INSERT INTO language_key VALUES ('279', 'JP', 'Japan', '0');
INSERT INTO language_key VALUES ('280', 'KE', 'Kenya', '0');
INSERT INTO language_key VALUES ('281', 'KG', 'Kyrgyzstan', '0');
INSERT INTO language_key VALUES ('282', 'KH', 'Cambodia', '0');
INSERT INTO language_key VALUES ('283', 'KI', 'Kiribati', '0');
INSERT INTO language_key VALUES ('284', 'KM', 'Comoros', '0');
INSERT INTO language_key VALUES ('285', 'KN', 'Saint Kitts And Nevis', '0');
INSERT INTO language_key VALUES ('286', 'KR', 'Republic Of Korea', '0');
INSERT INTO language_key VALUES ('287', 'KW', 'Kuwait', '0');
INSERT INTO language_key VALUES ('288', 'KY', 'Cayman Islands', '0');
INSERT INTO language_key VALUES ('289', 'KZ', 'Kazakhstan', '0');
INSERT INTO language_key VALUES ('290', 'LA', 'Lao Peoples Democratic Republic', '0');
INSERT INTO language_key VALUES ('291', 'LB', 'Lebanon', '0');
INSERT INTO language_key VALUES ('292', 'LC', 'Saint Lucia', '0');
INSERT INTO language_key VALUES ('293', 'LI', 'Liechtenstein', '0');
INSERT INTO language_key VALUES ('294', 'LK', 'Sri Lanka', '0');
INSERT INTO language_key VALUES ('295', 'LR', 'Liberia', '0');
INSERT INTO language_key VALUES ('296', 'LS', 'Lesotho', '0');
INSERT INTO language_key VALUES ('297', 'LT', 'Lithuania', '0');
INSERT INTO language_key VALUES ('298', 'LU', 'Luxembourg', '0');
INSERT INTO language_key VALUES ('299', 'LV', 'Latvia', '0');
INSERT INTO language_key VALUES ('300', 'LY', 'Libyan Arab Jamahiriya', '0');
INSERT INTO language_key VALUES ('301', 'MA', 'Morocco', '0');
INSERT INTO language_key VALUES ('302', 'MC', 'Monaco', '0');
INSERT INTO language_key VALUES ('303', 'MD', 'Republic Of Moldova', '0');
INSERT INTO language_key VALUES ('304', 'MG', 'Madagascar', '0');
INSERT INTO language_key VALUES ('305', 'MH', 'Marshall Islands', '0');
INSERT INTO language_key VALUES ('306', 'MK', 'The Former Yugoslav Republic Of Macedonia', '0');
INSERT INTO language_key VALUES ('307', 'ML', 'Mali', '0');
INSERT INTO language_key VALUES ('308', 'MM', 'Myanmar', '0');
INSERT INTO language_key VALUES ('309', 'MN', 'Mongolia', '0');
INSERT INTO language_key VALUES ('310', 'MO', 'Macao', '0');
INSERT INTO language_key VALUES ('311', 'MP', 'Northern Mariana Islands', '0');
INSERT INTO language_key VALUES ('312', 'MQ', 'Martinique', '0');
INSERT INTO language_key VALUES ('313', 'MR', 'Mauritania', '0');
INSERT INTO language_key VALUES ('314', 'MT', 'Malta', '0');
INSERT INTO language_key VALUES ('315', 'MU', 'Mauritius', '0');
INSERT INTO language_key VALUES ('316', 'MV', 'Maldives', '0');
INSERT INTO language_key VALUES ('317', 'MW', 'Malawi', '0');
INSERT INTO language_key VALUES ('318', 'MX', 'Mexico', '0');
INSERT INTO language_key VALUES ('319', 'MY', 'Malaysia', '0');
INSERT INTO language_key VALUES ('320', 'MZ', 'Mozambique', '0');
INSERT INTO language_key VALUES ('321', 'NA', 'Namibia', '0');
INSERT INTO language_key VALUES ('322', 'NC', 'New Caledonia', '0');
INSERT INTO language_key VALUES ('323', 'NE', 'Niger', '0');
INSERT INTO language_key VALUES ('324', 'NF', 'Norfolk Island', '0');
INSERT INTO language_key VALUES ('325', 'NG', 'Nigeria', '0');
INSERT INTO language_key VALUES ('326', 'NI', 'Nicaragua', '0');
INSERT INTO language_key VALUES ('327', 'NL', 'Netherlands', '0');
INSERT INTO language_key VALUES ('328', 'NO', 'Norway', '0');
INSERT INTO language_key VALUES ('329', 'NP', 'Nepal', '0');
INSERT INTO language_key VALUES ('330', 'NR', 'Nauru', '0');
INSERT INTO language_key VALUES ('331', 'NU', 'Niue', '0');
INSERT INTO language_key VALUES ('332', 'NZ', 'New Zealand', '0');
INSERT INTO language_key VALUES ('333', 'OM', 'Oman', '0');
INSERT INTO language_key VALUES ('334', 'PA', 'Panama', '0');
INSERT INTO language_key VALUES ('335', 'PE', 'Peru', '0');
INSERT INTO language_key VALUES ('336', 'PF', 'French Polynesia', '0');
INSERT INTO language_key VALUES ('337', 'PG', 'Papua New Guinea', '0');
INSERT INTO language_key VALUES ('338', 'PH', 'Philippines', '0');
INSERT INTO language_key VALUES ('339', 'PK', 'Pakistan', '0');
INSERT INTO language_key VALUES ('340', 'PL', 'Poland', '0');
INSERT INTO language_key VALUES ('341', 'PR', 'Puerto Rico', '0');
INSERT INTO language_key VALUES ('342', 'PS', 'Palestinian Territory', '0');
INSERT INTO language_key VALUES ('343', 'PT', 'Portugal', '0');
INSERT INTO language_key VALUES ('344', 'PW', 'Palau', '0');
INSERT INTO language_key VALUES ('345', 'PY', 'Paraguay', '0');
INSERT INTO language_key VALUES ('346', 'QA', 'Qatar', '0');
INSERT INTO language_key VALUES ('347', 'RE', 'Reunion', '0');
INSERT INTO language_key VALUES ('348', 'RO', 'Romania', '0');
INSERT INTO language_key VALUES ('349', 'RU', 'Russian Federation', '0');
INSERT INTO language_key VALUES ('350', 'RW', 'Rwanda', '0');
INSERT INTO language_key VALUES ('351', 'SA', 'Saudi Arabia', '0');
INSERT INTO language_key VALUES ('352', 'SB', 'Solomon Islands', '0');
INSERT INTO language_key VALUES ('353', 'SC', 'Seychelles', '0');
INSERT INTO language_key VALUES ('354', 'SD', 'Sudan', '0');
INSERT INTO language_key VALUES ('355', 'SE', 'Sweden', '0');
INSERT INTO language_key VALUES ('356', 'SG', 'Singapore', '0');
INSERT INTO language_key VALUES ('357', 'SI', 'Slovenia', '0');
INSERT INTO language_key VALUES ('358', 'SK', 'Slovakia (Slovak Republic)', '0');
INSERT INTO language_key VALUES ('359', 'SL', 'Sierra Leone', '0');
INSERT INTO language_key VALUES ('360', 'SM', 'San Marino', '0');
INSERT INTO language_key VALUES ('361', 'SN', 'Senegal', '0');
INSERT INTO language_key VALUES ('362', 'SO', 'Somalia', '0');
INSERT INTO language_key VALUES ('363', 'SR', 'Suriname', '0');
INSERT INTO language_key VALUES ('364', 'ST', 'Sao Tome And Principe', '0');
INSERT INTO language_key VALUES ('365', 'SV', 'El Salvador', '0');
INSERT INTO language_key VALUES ('366', 'SY', 'Syrian Arab Republic', '0');
INSERT INTO language_key VALUES ('367', 'SZ', 'Swaziland', '0');
INSERT INTO language_key VALUES ('368', 'TD', 'Chad', '0');
INSERT INTO language_key VALUES ('369', 'TF', 'French Southern Territories', '0');
INSERT INTO language_key VALUES ('370', 'TG', 'Togo', '0');
INSERT INTO language_key VALUES ('371', 'TH', 'Thailand', '0');
INSERT INTO language_key VALUES ('372', 'TJ', 'Tajikistan', '0');
INSERT INTO language_key VALUES ('373', 'TK', 'Tokelau', '0');
INSERT INTO language_key VALUES ('374', 'TL', 'Timor-Leste', '0');
INSERT INTO language_key VALUES ('375', 'TM', 'Turkmenistan', '0');
INSERT INTO language_key VALUES ('376', 'TN', 'Tunisia', '0');
INSERT INTO language_key VALUES ('377', 'TO', 'Tonga', '0');
INSERT INTO language_key VALUES ('378', 'TR', 'Turkey', '0');
INSERT INTO language_key VALUES ('379', 'TT', 'Trinidad And Tobago', '0');
INSERT INTO language_key VALUES ('380', 'TV', 'Tuvalu', '0');
INSERT INTO language_key VALUES ('381', 'TW', 'Taiwan Province Of China', '0');
INSERT INTO language_key VALUES ('382', 'TZ', 'United Republic Of Tanzania', '0');
INSERT INTO language_key VALUES ('383', 'UA', 'Ukraine', '0');
INSERT INTO language_key VALUES ('384', 'UG', 'Uganda', '0');
INSERT INTO language_key VALUES ('385', 'US', 'United States', '0');
INSERT INTO language_key VALUES ('386', 'UY', 'Uruguay', '0');
INSERT INTO language_key VALUES ('387', 'UZ', 'Uzbekistan', '0');
INSERT INTO language_key VALUES ('388', 'VA', 'Holy See (Vatican City State)', '0');
INSERT INTO language_key VALUES ('389', 'VC', 'Saint Vincent And The Grenadines', '0');
INSERT INTO language_key VALUES ('390', 'VE', 'Venezuela', '0');
INSERT INTO language_key VALUES ('391', 'VG', 'Virgin Islands', '0');
INSERT INTO language_key VALUES ('392', 'VI', 'Virgin Islands', '0');
INSERT INTO language_key VALUES ('393', 'VN', 'Viet Nam', '0');
INSERT INTO language_key VALUES ('394', 'VU', 'Vanuatu', '0');
INSERT INTO language_key VALUES ('395', 'WS', 'Samoa', '0');
INSERT INTO language_key VALUES ('396', 'YE', 'Yemen', '0');
INSERT INTO language_key VALUES ('397', 'YT', 'Mayotte', '0');
INSERT INTO language_key VALUES ('398', 'YU', 'Serbia And Montenegro (Formally Yugoslavia)', '0');
INSERT INTO language_key VALUES ('399', 'ZA', 'South Africa', '0');
INSERT INTO language_key VALUES ('400', 'ZM', 'Zambia', '0');
INSERT INTO language_key VALUES ('401', 'ZW', 'Zimbabwe', '0');
INSERT INTO language_key VALUES ('402', 'ZZ', 'Unknown', '0');
INSERT INTO language_key VALUES ('403', 'export_urls_as_csv', 'Export All To CSV', '0');
INSERT INTO language_key VALUES ('404', 'shorturl_filter_disabled', 'Show disabled:', '0');
INSERT INTO language_key VALUES ('405', 'register', 'register', '0');
INSERT INTO language_key VALUES ('406', 'top_urls', 'Top Urls', '0');
INSERT INTO language_key VALUES ('407', 'latest_urls', 'Latest Urls', '0');
INSERT INTO language_key VALUES ('408', 'login', 'Login', '0');
INSERT INTO language_key VALUES ('409', 'account_home', 'Account Home', '0');
INSERT INTO language_key VALUES ('410', 'register_complete_page_name', 'Registration completed', '0');
INSERT INTO language_key VALUES ('411', 'register_complete_meta_description', 'Your registration has been completed.', '0');
INSERT INTO language_key VALUES ('412', 'register_complete_meta_keywords', 'registration, completed, short, url, site', '0');
INSERT INTO language_key VALUES ('413', 'register_complete_sub_title', 'Thank you for registering!', '0');
INSERT INTO language_key VALUES ('414', 'register_complete_main_text', 'We\'ve sent an email to your registered email address with your access password. Please check your spam filters to ensure emails from this site get through. ', '0');
INSERT INTO language_key VALUES ('415', 'register_complete_email_from', 'Emails from this site are sent from ', '0');
INSERT INTO language_key VALUES ('416', 'login_page_name', 'Login', '0');
INSERT INTO language_key VALUES ('417', 'login_meta_description', 'Login to your account', '0');
INSERT INTO language_key VALUES ('418', 'login_meta_keywords', 'login, register, short url', '0');
INSERT INTO language_key VALUES ('419', 'username_and_password_is_invalid', 'Your username and password are invalid', '0');
INSERT INTO language_key VALUES ('420', 'account_login', 'Account Login', '0');
INSERT INTO language_key VALUES ('421', 'login_intro_text', 'Please enter your username and password below to login.', '0');
INSERT INTO language_key VALUES ('422', 'username_requirements', 'Your account username. 6 characters or more and alpha numeric.', '0');
INSERT INTO language_key VALUES ('423', 'password_requirements', 'Your account password. Min 6 characters, alpha numeric, no spaces.', '0');
INSERT INTO language_key VALUES ('424', 'your_urls', 'your urls', '0');
INSERT INTO language_key VALUES ('425', 'api_page_name', 'API', '0');
INSERT INTO language_key VALUES ('426', 'api_meta_description', 'Our Free API', '0');
INSERT INTO language_key VALUES ('427', 'api_meta_keywords', 'api, application, programming, interface, short, url, site', '0');
INSERT INTO language_key VALUES ('428', 'please_enter_your_username', 'Please enter your username', '0');
INSERT INTO language_key VALUES ('429', 'account_home_page_name', 'Account Home', '0');
INSERT INTO language_key VALUES ('430', 'account_home_meta_description', 'Your Account Home', '0');
INSERT INTO language_key VALUES ('431', 'account_home_meta_keywords', 'account, home, shorturl, your, interface, short, url, site', '0');
INSERT INTO language_key VALUES ('432', 'your_short_urls', 'Your Short Urls', '0');
INSERT INTO language_key VALUES ('433', 'faq', 'faq', '0');
INSERT INTO language_key VALUES ('434', 'faq_page_name', 'FAQ', '0');
INSERT INTO language_key VALUES ('435', 'faq_meta_description', 'Frequently Asked Questions', '0');
INSERT INTO language_key VALUES ('436', 'faq_meta_keywords', 'faq, frequently, asked, questions, short, url, site', '0');
INSERT INTO language_key VALUES ('437', 'please_enter_your_password', 'Please enter your password', '0');
INSERT INTO language_key VALUES ('438', 'report_url', 'Report Url', '0');
INSERT INTO language_key VALUES ('439', 'problem_url_requirements', 'Enter the short url you wish to report.', '0');
INSERT INTO language_key VALUES ('440', 'report_url_error_no_url', 'Please enter the problem url.', '0');
INSERT INTO language_key VALUES ('441', 'register_account', 'Register Account', '0');
INSERT INTO language_key VALUES ('442', 'your_recent_urls', 'Your Urls', '0');
INSERT INTO language_key VALUES ('443', 'recent_url_intro', 'Recent urls created on this site:', '0');
INSERT INTO language_key VALUES ('444', 'email_confirm', 'email confirm', '0');
INSERT INTO language_key VALUES ('445', 'stats', 'stats', '0');
INSERT INTO language_key VALUES ('446', 'info', 'info', '0');
INSERT INTO language_key VALUES ('447', 'email_address_confirm', 'Email Confirm', '0');
INSERT INTO language_key VALUES ('448', 'short_original_url', 'Short/Original Url:', '0');
INSERT INTO language_key VALUES ('449', 'created_last_visited', 'Created/Last Visited:', '0');
INSERT INTO language_key VALUES ('450', 'status', 'Status:', '0');
INSERT INTO language_key VALUES ('451', 'options', 'Options:', '0');

-- ----------------------------
-- Table structure for `sessions`
-- ----------------------------
DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `data` text COLLATE utf8_unicode_ci NOT NULL,
  `updated_on` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- ----------------------------
-- Records of sessions
-- ----------------------------

-- ----------------------------
-- Table structure for `shorturl`
-- ----------------------------
DROP TABLE IF EXISTS `shorturl`;
CREATE TABLE `shorturl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shortUrl` varchar(50) NOT NULL,
  `originalUrl` text NOT NULL,
  `dateCreated` datetime NOT NULL,
  `createdIP` varchar(15) NOT NULL,
  `visits` int(11) NOT NULL,
  `isPrivate` int(1) NOT NULL DEFAULT '0',
  `password` varchar(32) DEFAULT NULL,
  `expiryDate` datetime DEFAULT NULL,
  `totalUses` int(11) NOT NULL DEFAULT '0',
  `lastAccessed` datetime NOT NULL,
  `status` enum('active','expired','disabled','spam') NOT NULL DEFAULT 'active',
  `userId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of shorturl
-- ----------------------------

-- ----------------------------
-- Table structure for `site_config`
-- ----------------------------
DROP TABLE IF EXISTS `site_config`;
CREATE TABLE `site_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `config_key` varchar(100) NOT NULL,
  `config_value` text NOT NULL,
  `config_description` varchar(255) NOT NULL,
  `availableValues` varchar(255) NOT NULL,
  `config_type` varchar(30) NOT NULL,
  `config_group` varchar(100) NOT NULL DEFAULT 'Default',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of site_config
-- ----------------------------
INSERT INTO site_config VALUES ('1', 'redirect_type', 'Top Bar', 'Type of short url redirection', '[\"Direct\", \"Meta Delay Redirect\", \"Top Bar\", \"Bottom Bar\"]', 'select', 'Short Url Config');
INSERT INTO site_config VALUES ('2', 'redirect_delay_seconds', '30', 'How long to wait before redirecting if Meta Delay Redirect', '', 'integer', 'Short Url Config');
INSERT INTO site_config VALUES ('21', 'language_show_key', 'translation', 'Show translation value or key. (use \'key\' to debug translations, \'translation\' to show actual translated value)', '[\'key\',\'translation\']', 'select', 'Language');
INSERT INTO site_config VALUES ('4', 'page_extension', 'html', 'Whether to use html or php front-end page extensions', '[\"html\", \"php\"]', 'select', 'Page Options');
INSERT INTO site_config VALUES ('5', 'date_time_format', 'd/m/Y H:i:s', 'Date time format in php', '', 'string', 'Local');
INSERT INTO site_config VALUES ('6', 'date_format', 'd/m/Y', 'Date format in php', '', 'string', 'Local');
INSERT INTO site_config VALUES ('7', 'site_name', 'Short Url Site', 'Site name', '', 'string', 'Page Options');
INSERT INTO site_config VALUES ('8', 'delete_inactive_urls', '60', 'After how many inactive days should urls be removed', '', 'integer', 'Short Url Config');
INSERT INTO site_config VALUES ('9', 'site_theme', 'blue_v2', 'Site template theme', '[\"blue_v2\", \"orange_v2\", \"green_v2\"]', 'select', 'Page Options');
INSERT INTO site_config VALUES ('10', 'max_urls_per_day', '50', 'Spam protect: Max urls a user IP address can create per day', '', 'integer', 'Short Url Config');
INSERT INTO site_config VALUES ('11', 'date_time_format_js', '%d-%m-%Y %H:%i', 'Date time format in javascript', '', 'string', 'Local');
INSERT INTO site_config VALUES ('12', 'top_iframe_height', '72', 'IFrame redirect header height', '', 'integer', 'Page Options');
INSERT INTO site_config VALUES ('13', 'site_terms_and_conditions', 'The full terms and conditions of this site are detailed below:<br/><br/><ol><li>Users of this website (Users) agree to be bound by these terms and conditions, which are subject to change at the sole discretion of the site. Your use of and access to this site indicate your acceptance of these terms and conditions.</li><li>This site was created as a free service to make posting long URLs easier. This service is provided without warranty of any kind. Short URLs used in spam (including email and forum spam) will be disabled.</li><li>This site may include third party content which is subject to that third party\'s terms and conditions of use.</li><li>This site may include links to third party sites which are not related to this site and in relation to which we have no control or interest. The appearance of those links on this site does not indicate any relationship between this site and that third party or any endorsement by this site of that third party, its site or the products or services which it is advertising on this site.</li><li>We may use third-party advertising companies to serve ads when you visit our Web site. These companies may use information (not including your name, address email address or telephone number) about your visits to this and other Web sites in order to provide advertisements about goods and services of interest to you. If you would like more information about this practice and to know your choices about not having this information used by these companies, <a href=\"http://www.google.com/privacy.html\" target=\"_blank\">click here</a>.</li><li>This site will have no responsibility or liability in relation to any loss or damage which you incur, including damage to your software or hardware, arising from your use of or access to this site.</li><li>Users will not use this site for any purpose or in any way which is unlawful.</li></ol>', 'Site terms and conditions (html)', '', 'textarea', 'Page Options');
INSERT INTO site_config VALUES ('14', 'delay_between_submissions', '30', 'Spam protect: How many seconds to wait between submissions. (0 = unlimited)', '', 'integer', 'Short Url Config');
INSERT INTO site_config VALUES ('15', 'advert_site_footer', '<a target=\"_blank\" href=\"http://www.dreamhost.com/r.cgi?606181\"><img height=\"60\" width=\"468\" src=\"http://images.dreamhost.com/rewards/468x60-b.gif\" alt=\"468x60\"/></a>', 'Site footer ads across the site (html)', '', 'textarea', 'Adverts');
INSERT INTO site_config VALUES ('16', 'advert_iframe_redirect', '<a target=\"_blank\" href=\"http://www.dreamhost.com/r.cgi?606181\"><img height=\"60\" width=\"468\" src=\"http://images.dreamhost.com/rewards/468x60-d.gif\" alt=\"468x60\"/></a>', 'Iframe redirect top/bottom advert (html)', '', 'textarea', 'Adverts');
INSERT INTO site_config VALUES ('17', 'advert_delayed_redirect_top', '<a target=\"_blank\" href=\"http://www.dreamhost.com/r.cgi?606181\"><img height=\"60\" width=\"468\" src=\"http://images.dreamhost.com/rewards/468x60-a.gif\" alt=\"468x60\"/></a>', 'Delayed redirect top advert (html)', '', 'textarea', 'Adverts');
INSERT INTO site_config VALUES ('18', 'advert_delayed_redirect_bottom', '<a target=\"_blank\" href=\"http://www.dreamhost.com/r.cgi?606181\"><img height=\"60\" width=\"468\" src=\"http://images.dreamhost.com/rewards/468x60-c.gif\" alt=\"468x60\"/></a>', 'Delayed redirect bottom advert (html)', '', 'textarea', 'Adverts');
INSERT INTO site_config VALUES ('19', 'report_abuse_email', 'email@yoursite.com', 'Email address for which all abuse reports are sent.', '', 'string', 'Page Options');
INSERT INTO site_config VALUES ('20', 'site_language', 'English (en)', 'Site language for text conversions <a href=\'manage_languages.php\'>(manage languages)</a>', 'SELECT languageName AS itemValue FROM language ORDER BY languageName', 'select', 'Language');
INSERT INTO site_config VALUES ('22', 'enable_stats', 'yes', 'Enable statistics for each short url', '[\"yes\", \"no\"]', 'select', 'Default');
INSERT INTO site_config VALUES ('23', 'stats_only_count_unique', 'yes', 'Revisits in the same day, by the same IP address will not be counted on stats.', '[\"yes\", \"no\"]', 'select', 'Default');
INSERT INTO site_config VALUES ('24', 'default_email_address_from', 'email@yoursite.com', 'The default email address to send emails from.', '', 'string', 'Page Options');

-- ----------------------------
-- Table structure for `stats`
-- ----------------------------
DROP TABLE IF EXISTS `stats`;
CREATE TABLE `stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `referer` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `referer_is_local` tinyint(4) NOT NULL DEFAULT '0',
  `url` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `page_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `country` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `img_search` tinyint(4) NOT NULL DEFAULT '0',
  `browser_family` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `browser_version` varchar(15) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `os` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `os_version` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `ip` varchar(15) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `user_agent` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `base_url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- ----------------------------
-- Records of stats
-- ----------------------------

-- ----------------------------
-- Table structure for `users`
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(65) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(65) COLLATE utf8_unicode_ci NOT NULL,
  `level` enum('user','admin') COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(65) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lastlogindate` timestamp NULL DEFAULT NULL,
  `lastloginip` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `status` enum('active','pending','disabled','suspended') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'active',
  `title` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `firstname` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `lastname` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `datecreated` timestamp NULL DEFAULT NULL,
  `createdip` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- ----------------------------
-- Records of users
-- ----------------------------
INSERT INTO users VALUES ('1', 'admin', '5f4dcc3b5aa765d61d8327deb882cf99', 'admin', 'email@yoursite.com', '2011-06-22 22:32:26', '1.1.1.1', 'active', 'Mr', 'Admin', 'User', null, null);

INSERT INTO `site_config` (
`config_key` ,
`config_value` ,
`config_description` ,
`availableValues` ,
`config_type` ,
`config_group`) VALUES (
'default_email_address_from',
'you@domain.com',
'The email address new account registrations will be sent from.',
'',
'string',
'Default');

INSERT INTO site_config (config_key, config_value, config_description, config_type, config_group) VALUES ('redirect_override', 'youtube.com|facebook.com', 'Sites not to use the iframe redirect on. List of sites separated by a pipe (|).', 'string', 'Short Url Config');

INSERT INTO site_config VALUES ('27', 'enable_api', 'yes', 'Disable or enable access to the short url API', '[\"yes\", \"no\"]', 'select', 'Short Url Config');
INSERT INTO site_config VALUES ('28', 'captcha_enable', 'no', 'Disable or enable captcha confirmation on short url creation.', '[\"yes\", \"no\"]', 'select', 'Captcha');
INSERT INTO site_config VALUES ('29', 'captcha_private_key', '	6LeuAc4SAAAAAL71eifhISYsbL-yPTtNZVnXTHVt ', 'Private key for captcha. Register at https://www.google.com/recaptcha', '', 'string', 'Captcha');
INSERT INTO site_config VALUES ('30', 'captcha_public_key', '6LeuAc4SAAAAAOSry8eo2xW64K1sjHEKsQ5CaS10', 'Public key for captcha. Register at https://www.google.com/recaptcha', '', 'string', 'Captcha');

INSERT INTO site_config VALUES (NULL, 'enable_api_auth', 'yes', 'Whether the API can only be used by registered accounts. i.e. an API key is mandatory', '[\"yes\", \"no\"]', 'select', 'API');
UPDATE site_config SET config_group='API' WHERE config_key='enable_api';

ALTER TABLE `users` ADD `apikey` VARCHAR( 32 ) NOT NULL;

UPDATE `language_key` SET `defaultContent` = 'Our API allows you to provide short url functionality to any of your existing websites.<br/><br/><strong>Url Only</strong><br/>To generate a url via the API, send a POST or GET request to the site in the following format:<br/><br/>- %%SITE_URL%%/index.php?api=1&return_url_text=1%%API_URL%%&longUrl=<strong>{URL}</strong><br/><br/>This site will then generate the short url and return it as plain text. i.e:<br/><br/>- %%SITE_URL%%/a1<br/><br/><strong>Generate &amp; Redirect</strong><br/>If you remove the return_url_text param the user will be redirected to the results page on this site instead of just the url text being returned.<br/><br/><strong>Extra Params:</strong><br/>You can also set extra information on each short url, the supported params are:<br/><br/>customUrl => Custom short url.<br/>shortUrlPassword => Password to access the url.<br/>shortUrlExpiryDate => Expiry date in the formay DD-MM-YYYY HH:II:SS.<br/>shortUrlUses => Total permitted uses before expiring.<br/>postToTwitter => Set to 1 to auto redirect to Twitter.<br/><br/>NOTE: Any url requests via the API are subject to our normal spam protection measures and hence there may be limits to the amount of short urls that can be generated in any period.' WHERE languageKey = 'api_popup_content';

DELETE FROM language_content WHERE languageKeyId IN (SELECT id FROM language_key WHERE languageKey = 'api_popup_content');

ALTER TABLE `users` ADD `passwordResetHash` VARCHAR( 32 ) NOT NULL;
